-- ------------------------------------------------------------------- 
-- Security Lab 03 - Encryption Lesson #1 - Creating top secret table
-- ------------------------------------------------------------------- 
-- This creates a table called TOP_SECRET.  It then inserts records 
-- into it with passwords and hints and shows how to select with and 
-- without the password.

CONNECT TO SAMPLE;

!REM '------------------------------------------';
!REM 'Create Top Secret Security Table...       ';
!REM '------------------------------------------';

DROP TABLE TOP_SECRET;

CREATE TABLE TOP_SECRET
( ROW 			INT not null,
  SECRET_DATA	CHAR(50) for bit data)
IN USERSPACE1;

!REM '------------------------------------------';
!REM 'Insert Data with Password and with Hint...';
!REM '------------------------------------------';

INSERT INTO TOP_SECRET VALUES
(1,ENCRYPT('1234567890','Secretkey1','Hint1')),
(2,ENCRYPT('2234567890','Secretkey2','Hint2'));

!REM '------------------------------------------';
!REM 'Select data without password...           ';
!REM '------------------------------------------';

SELECT ROW, SECRET_DATA 
FROM 	TOP_SECRET
WHERE	ROW = 1;

!REM '------------------------------------------';
!REM 'Select data with password...              ';
!REM '------------------------------------------';

SELECT ROW, DECRYPT_CHAR(SECRET_DATA,'Secretkey1')SECRET_DATA
FROM TOP_SECRET
WHERE ROW = 1;


