-- ------------------------------------------------------------------- 
-- Auto Maintenance Lab 05 - Recreate Union All tables with NO STATISTICS
-- ------------------------------------------------------------------- 
-- This table creates your Q% tables again, but does not run statistics
-- on them so they won't have any

--------------------------------
-- CREATE 4 QUARTERLY TABLES  --
--------------------------------

DROP TABLE Q1_2004;
DROP TABLE Q2_2004;
DROP TABLE Q3_2004;
DROP TABLE Q4_2004;

ECHO -;
ECHO -------------------------;
ECHO Creating Tables...;
ECHO -------------------------;

create table Q1_2004
  (
  tx_number  int not null,
  tx_item    char(10) not null,
  tx_quantity int not null,
  tx_date    date not null,
     check (tx_date between '2004-01-01' and '2004-03-31')
  )
  in Q1_2004_DATA index in Q1_2004_INDEX;

create table Q2_2004
  (
  tx_number  int not null,
  tx_item    char(10) not null,
  tx_quantity int not null,
  tx_date    date not null,
     check (tx_date between '2004-04-01' and '2004-06-30')
  )
in Q2_2004_DATA index in Q2_2004_INDEX;


create table Q3_2004
  (
  tx_number  int not null,
  tx_item    char(10) not null,
  tx_quantity int not null,
  tx_date    date not null,
     check (tx_date between '2004-07-01' and '2004-09-30')
  )
in Q3_2004_DATA index in Q3_2004_INDEX;


create table Q4_2004
  (
  tx_number  int not null,
  tx_item    char(10) not null,
  tx_quantity int not null,
  tx_date    date not null,
     check (tx_date between '2004-10-01' and '2004-12-31')
  )
  in Q4_2004_DATA index in Q4_2004_INDEX;


--------------------------------
-- CREATE UNION ALL VIEW      --
--------------------------------

ECHO -;
ECHO -------------------------;
ECHO Creating Union All View...;
ECHO -------------------------;

drop   view Year_2004;
create view Year_2004 as
  (
  select * from Q1_2004
  union all
  select * from Q2_2004
  union all 
  select * from Q3_2004
  union all
  select * from Q4_2004
  ) 
WITH ROW MOVEMENT;

COMMIT WORK;

--------------------------------
-- GENERATE DATA FOR TABLES   --
--------------------------------

ECHO -;
ECHO -------------------------;
ECHO Generating Data...;
ECHO -------------------------;

CALL UNION_DATA;

ECHO -;
ECHO -------------------------;
ECHO Complete;
ECHO -------------------------;

