::  Copyright(r) IBM Corporation
::
::  Report bugs to : Vikram Khatri (vkhatri@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM CREATE A TEST DATABASE and Take offline backup                                               
REM ------------------------------------------------------------------- 

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO CREATE A TEST DATABASE and Take offline backup
ECHO.

REM
REM DROP existing TEST database if any
REM

db2 update dbm cfg using health_mon on >> %OUTFILE%
db2 terminate >> %OUTFILE%
db2stop FORCE  >> %OUTFILE%
db2start >>  %OUTFILE%
db2 drop database test >> %OUTFILE%

ECHO.
ECHO CREATING TEST DATABASE
ECHO.

db2 CREATE DATABASE TEST >> %OUTFILE%

ECHO.
ECHO DONE WITH CREATE DATABASE COMMAND.
ECHO.

ECHO.
ECHO CREATING 4 TABLES IN DATABASE
ECHO.

db2 connect to test >>  %OUTFILE%
db2 create table t1 (c int) >> %OUTFILE%
db2 create table t2 (c int) >> %OUTFILE%
db2 create table t3 (c int) >> %OUTFILE%
db2 create table t4 (c int) >> %OUTFILE%
db2 insert into t1 values (1), (2) >> %OUTFILE%
db2 insert into t2 values (1), (2) >> %OUTFILE%
db2 insert into t3 values (1), (2) >> %OUTFILE%
db2 insert into t4 values (1), (2) >> %OUTFILE%
db2 connect reset  >> %OUTFILE%

REM
REM Check if C:\db2backup directory exists or not. If not create a new one.
REM

IF NOT EXIST C:\db2backup\nul (
  ECHO.
  ECHO CREATING C:\DB2BACKUP directory
  ECHO.
  mkdir c:\DB2Backup
)

db2 CONNECT TO TEST  >> %OUTFILE%

ECHO.
ECHO QUIESCING TEST DATABASE
ECHO.

db2 QUIESCE DATABASE IMMEDIATE FORCE CONNECTIONS  >> %OUTFILE%
db2 CONNECT RESET  >> %OUTFILE%

ECHO.
ECHO STARTING OFFLINE BACKUP OF TEST DATABASE
ECHO.

db2 BACKUP DATABASE TEST TO "C:\DB2Backup" WITHOUT PROMPTING  >> %OUTFILE%

db2 CONNECT TO TEST  >> %OUTFILE%

ECHO.
ECHO UNQUIESCING TEST DATABASE
ECHO.

db2 UNQUIESCE DATABASE  >> %OUTFILE%
db2 CONNECT RESET  >> %OUTFILE%

ECHO.
ECHO Note: The heart of the lesson of this script is the db2 BACKUP DATABASE command.
ECHO Please review that portion carefully.
ECHO Check the OUTPUT FILE '%OUTFILE%'
ECHO.

