::  Copyright(r) IBM Corporation
::
::  Report bugs to : Vikram Khatri (vkhatri@us.ibm.com)
::

REM ------------------------------------------------------------------------- 
REM CONFIGURE DATABASE LOGGING (TEST DATABASE)
REM ------------------------------------------------------------------------- 

REM Step - 1 : UPDATE LOGRETAIN parameter
REM Step - 2 : Take OFFLINE BACKUP of TEST DATABASE
REM Step - 3 : Configure other logging parameters

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO CONFIGURE DATABASE LOGGING (TEST DATABASE)
ECHO.

ECHO.
ECHO STEP - 1 : Turn ARCHIVAL LOGGING for TEST Database
ECHO.

REM
REM Check if C:\DB2PrimaryLogArch directory exists or not. If not create a new one.
REM

IF NOT EXIST C:\DB2PrimaryLogArch\nul (
  ECHO.
  ECHO CREATING C:\DB2PrimaryLogArch directory
  ECHO.
  mkdir C:\DB2PrimaryLogArch >> %OUTFILE%
)

REM
REM Check if C:\DB2LOG directory exists or not. If not create a new one.
REM

IF NOT EXIST C:\DB2LOG\nul (
  ECHO.
  ECHO CREATING C:\DB2LOG directory
  ECHO.
  mkdir C:\DB2LOG >> %OUTFILE%
)

REM
REM Check if C:\DB2MirrorLog directory exists or not. If not create a new one.
REM

IF NOT EXIST C:\DB2MirrorLog\nul (
  ECHO.
  ECHO CREATING C:\DB2MirrorLog directory
  ECHO.
  mkdir C:\DB2MirrorLog >> %OUTFILE%
)

REM
REM Check if C:\DB2MirrorLog directory exists or not. If not create a new one.
REM

IF NOT EXIST C:\DB2FailureLogArch\nul (
  ECHO.
  ECHO CREATING C:\DB2FailureLogArch directory
  ECHO.
  mkdir C:\DB2FailureLogArch >> %OUTFILE%
)

REM    UPDATE DB CFG FOR TEST USING 
REM       logarchmeth1 	"DISK:C:\DB2PrimaryLogArch"   =========> This parameters turns on Archival Logging
REM       logprimary 	10 	
REM       logsecond 	3 
REM       logfilsiz 	1000 
REM       newlogpath 	"C:\DB2LOG" 
REM       mirrorlogpath "C:\DB2MirrorLog" 
REM       failarchpath 	"C:\DB2FailureLogArch"


db2 -td@ -f Backup07101.DDL >> %OUTFILE%

db2 terminate  >> %OUTFILE%

REM
REM Check if C:\db2backup directory exists or not. If not create a new one.
REM

IF NOT EXIST C:\db2backup\nul (
  ECHO.
  ECHO CREATING C:\DB2BACKUP directory
  ECHO.
  mkdir c:\DB2Backup >> %OUTFILE%
)

ECHO.
ECHO STEP - 2: TAKE OFFLINE BACKUP OF TEST DATABASE
ECHO.

db2 BACKUP DATABASE TEST TO "C:\DB2Backup" WITHOUT PROMPTING  >> %OUTFILE%

ECHO Note: The heart of the lesson of this script is the UPDATE DB CFG command
ECHO Please review that portion carefully in 'Backup07101.DDL'.
ECHO Check the OUTPUT FILE '%OUTFILE%'
ECHO.
