::  Copyright(r) IBM Corporation
::
::  Report bugs to : Vikram Khatri (vkhatri@us.ibm.com)
::

REM ------------------------------------------------------------------------- 
REM RESTORE TEST DATABASE FROM LAST BACKUP IMAGE and ROLL FORWARD TRANSACTIONS
REM ------------------------------------------------------------------------- 


SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO RESTORE TEST DATABASE FROM LAST BACKUP IMAGE and ROLL FORWARD TRANSACTIONS
ECHO.

REM
REM RECOVER TEST DATABASE OFFLINE
REM

db2 CONNECT TO TEST >> %OUTFILE%

ECHO QUIESCING TEST DATABASE
ECHO.

db2 QUIESCE DATABASE IMMEDIATE FORCE CONNECTIONS >> %OUTFILE%
db2 CONNECT RESET >> %OUTFILE%

ECHO RESTORE TEST DATABASE

setlocal
goto :start

:printline
set timestamp=%1                         In God we trust
set timestamp=%timestamp:~0,14%

goto :EOF

:start
FOR /F "tokens=3" %%K in ('db2 list history backup all for test ^| FindStr /C:" B  D " ^| FindStr /C:" F    D "') do call :printline %%K

ECHO STARTING RESTORE OF TEST DATABASE FOR TIMESTAMP %timestamp% >> %OUTFILE%
db2 RESTORE DATABASE TEST FROM "c:\db2backup" TAKEN AT %timestamp% WITHOUT PROMPTING >> %OUTFILE%

endlocal

ECHO Roll-FORWARD TEST DATABASE
db2 rollforward database test to end of logs and complete >> %OUTFILE%

db2 CONNECT TO TEST  >> %OUTFILE%

ECHO.
ECHO UNQUIESCING TEST DATABASE
ECHO.

db2 UNQUIESCE DATABASE  >> %OUTFILE%
db2 CONNECT RESET  >> %OUTFILE%


ECHO Note: The heart of the lesson of this script is two db2 command -
ECHO "RESTORE DATABASE TEST" and "ROLLFORWARD DATABASE TEST".
ECHO Please review that portion carefully.
ECHO Check the OUTPUT FILE '%OUTFILE%'
ECHO.


ECHO PLEASE REMEMBER TO CHECK OUTPUT FILE '%OUTFILE%'
ECHO.

