::  Copyright(r) IBM Corporation
::
::  Report bugs to : Vikram Khatri (vkhatri@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM MOVE TABLESPACE CONTAINERS LOCATIONS TO C:\DB2NEWLOC                                                
REM ------------------------------------------------------------------- 

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls


ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO MOVE TABLESPACE CONTAINERS LOCATIONS TO C:\DB2NEWLOC 
ECHO.

REM
REM Check if  C:\DB2 directory exists or not. If not create a new one.
REM

IF NOT EXIST  C:\DB2\nul (
  ECHO.
  ECHO CREATING C:\DB2 directory
  ECHO.
  mkdir C:\DB2
)

REM 
REM CREATE TWO TABLESPACES DATA16 and IDX16 at C:\DB2 
REM

db2 -tf Backup07310.DDL >> %OUTFILE%

REM 
REM TAKE OFFLINE BACKUP 
REM

db2 CONNECT TO TEST >> %OUTFILE%

ECHO.
ECHO QUIESCING TEST DATABASE
ECHO.

db2 QUIESCE DATABASE IMMEDIATE FORCE CONNECTIONS >> %OUTFILE%
db2 CONNECT RESET >> %OUTFILE%

ECHO.
ECHO STARTING OFFLINE BACKUP OF TEST DATABASE
ECHO.

db2 BACKUP DATABASE TEST TO "C:\DB2Backup" WITHOUT PROMPTING  >> %OUTFILE%

db2 CONNECT TO TEST >> %OUTFILE%

ECHO.
ECHO UNQUIESCING TEST DATABASE
ECHO.

db2 UNQUIESCE DATABASE >> %OUTFILE%
db2 CONNECT RESET >> %OUTFILE%


REM
REM Check if C:\DB2NEWLOC directory exists or not. If not create a new one.
REM

IF NOT EXIST C:\DB2NEWLOC\nul (
  ECHO.
  ECHO CREATING C:\DB2NEWLOC directory
  ECHO.
  mkdir C:\DB2NEWLOC
)

REM
REM RESTORE REDIRECT THE TEST DATABASE TO MOVE TABLE SPACE CONTAINERS LOCATIONS
REM

db2 CONNECT TO TEST >> %OUTFILE%

ECHO.
ECHO QUIESCING TEST DATABASE
ECHO.

db2 QUIESCE DATABASE IMMEDIATE FORCE CONNECTIONS >> %OUTFILE%
db2 CONNECT RESET >> %OUTFILE%

ECHO.
ECHO RESTORE REDIRECT OF TEST DATABASE USING LAST BACKUP
ECHO.

setlocal
goto :start

:printline
set timestamp=%1                         In God we trust
set timestamp=%timestamp:~0,14%

goto :EOF

:start
FOR /F "tokens=3" %%K in ('db2 list history backup all for test ^| FindStr /C:" B  D " ^| FindStr /C:" F    D "') do call :printline %%K

ECHO STARTING RESTORE OF TEST DATABASE FOR TIMESTAMP %timestamp% >> %OUTFILE%
db2 RESTORE DATABASE TEST FROM "c:\db2backup" TAKEN AT %timestamp% WITH 2 BUFFERS BUFFER 1024 REPLACE HISTORY FILE REDIRECT PARALLELISM 1 WITHOUT PROMPTING >> %OUTFILE%

endlocal


ECHO.
ECHO RUN SET TABLESPACE COMMAND
ECHO.

db2 SET TABLESPACE CONTAINERS FOR 3 IGNORE ROLLFORWARD CONTAINER OPERATIONS USING (FILE "C:\DB2\BackupData1601.dat" 2560, FILE "C:\DB2NEWLOC\BackupData1601.dat" 2560)  >> %OUTFILE%
db2 SET TABLESPACE CONTAINERS FOR 4 IGNORE ROLLFORWARD CONTAINER OPERATIONS USING (FILE "C:\DB2\BackupIndex1601.dat" 625, FILE "C:\DB2NEWLOC\BackupIndex1601.dat" 625)  >> %OUTFILE%
db2 RESTORE DATABASE TEST CONTINUE >> %OUTFILE%
db2 ROLLFORWARD DATABASE TEST TO END OF LOGS AND COMPLETE >> %OUTFILE%

ECHO.
ECHO RESTORE REDIRECT DONE
ECHO.

db2 CONNECT TO TEST >> %OUTFILE%

ECHO.
ECHO UNQUIESCING TEST DATABASE
ECHO.

db2 UNQUIESCE DATABASE >> %OUTFILE%
db2 CONNECT RESET >> %OUTFILE%

ECHO Note: The heart of this script is RESTORE REDIRECT, SET TABLESPACE
ECHO and ROLLFORWARD command. Please review them carefully.
ECHO Check the OUTPUT FILE '%OUTFILE%'
ECHO.

