::  Copyright(r) IBM Corporation
::
::  Report bugs to : Vikram Khatri (vkhatri@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM ONLINE BACKUP / RESTORE / RECOVERY OF TABLESPACES                                               
REM ------------------------------------------------------------------- 

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls


ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO ONLINE BACKUP / RESTORE / RECOVERY OF TABLESPACES  
ECHO.

ECHO.
ECHO Step 1: Create DATA16 and IDX16 TABLESPACES at C:\DB2
ECHO         Create STRAWMAN TABLE
ECHO.


db2 -tf Backup07310.DDL >> %OUTFILE%

ECHO.
ECHO Step 2: Create 1000 rows in STRAWMAN TABLE
ECHO.


db2 -tf Backup07312.DDL >> %OUTFILE%

ECHO.
ECHO Step 3: TAKE ONLINE BACKUP OF DATA16 and IDX16 TABLESPACES
ECHO.

db2 backup database TEST tablespace (DATA16,IDX16) online to c:\db2backup >> %OUTFILE%

ECHO.
ECHO Step 4: Create another 1000 rows in STRAWMAN TABLE
ECHO.

db2 -tf Backup07312.DDL >> %OUTFILE%

ECHO.
ECHO Step 5: RESTORE DATA16 and IDX16 TABLESPACES FROM ONLINE BACKUP
ECHO.

setlocal
goto :start

:printline
set timestamp=%1                         In God we trust
set timestamp=%timestamp:~0,14%

goto :EOF

:start
FOR /F "tokens=3" %%K in ('db2 list history backup all for test ^| FindStr /C:" B  P " ^| FindStr /C:" N    D "') do call :printline %%K

ECHO STARTING RESTORE OF TEST DATABASE tablespace (DATA16,IDX16) FOR TIMESTAMP %timestamp%
ECHO STARTING RESTORE OF TEST DATABASE tablespace (DATA16,IDX16) FOR TIMESTAMP %timestamp% >> %OUTFILE%
db2 restore database test tablespace (DATA16,IDX16) online from c:\db2backup taken at %timestamp% without prompting >> %OUTFILE%

endlocal

db2 rollforward database test to end of logs and complete tablespace(DATA16,IDX16) online >> %OUTFILE%

ECHO.
ECHO Step 6: CHECK ROWS IN STRAWMAN TABLE
ECHO.

db2 Connect to test >> %OUTFILE%
db2 "select count(*) from STRAWMAN
db2 connect reset >> %OUTFILE%

ECHO Note: The heart of this script is RESTORE ONLINE AND ROLLFORWARD
ECHO Please review these two commands carefully.
ECHO Check the OUTPUT FILE '%OUTFILE%'
ECHO.
