--
-- CREATE DATA16 and IDX16 DMS tablespaces. Create table STRAWMAN using these 
-- two tablespaces
--

CONNECT TO TEST;
DROP TABLE strawman;
DROP TABLESPACE DATA16;
DROP BUFFERPOOL DATA16;
CREATE BUFFERPOOL DATA16 IMMEDIATE  SIZE 100 PAGESIZE 16 K;
CREATE  REGULAR  TABLESPACE DATA16 PAGESIZE 16 K  MANAGED BY DATABASE  USING ( FILE 'C:\DB2\BackupData1601.dat' 2560 ) EXTENTSIZE 16 OVERHEAD 10.5 PREFETCHSIZE 16 TRANSFERRATE 0.14 BUFFERPOOL  DATA16  DROPPED TABLE RECOVERY OFF;
DROP TABLESPACE IDX16;
DROP BUFFERPOOL IDX16;
CREATE BUFFERPOOL IDX16 IMMEDIATE  SIZE 50 PAGESIZE 16 K;
CREATE  REGULAR  TABLESPACE IDX16 PAGESIZE 16 K  MANAGED BY DATABASE  USING ( FILE 'C:\DB2\BackupIndex1601.dat' 625 ) EXTENTSIZE 16 OVERHEAD 10.5 PREFETCHSIZE 16 TRANSFERRATE 0.14 BUFFERPOOL  IDX16  DROPPED TABLE RECOVERY OFF;

CREATE TABLE strawman
(
   strawman_id    INTEGER NOT NULL GENERATED ALWAYS AS IDENTITY (START WITH 100000, INCREMENT BY 5),
   SSN            CHAR(11) NOT NULL,
   FIRST_NAME     VARCHAR(20) NOT NULL,
   LAST_NAME      VARCHAR(20) NOT NULL,
   job_code       CHAR(4) NOT NULL,
   dept           SMALLINT NOT NULL,
   salary         DECIMAL(12,2) NOT NULL,
   DOB            DATE NOT NULL WITH DEFAULT,
   CONSTRAINT pk_strawman PRIMARY KEY (strawman_id)
) in data16
index in idx16;

COMMIT;

CONNECT RESET;