::  Copyright(r) IBM Corporation
::
::  Report bugs to : Vikram Khatri (vkhatri@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM CREATE A TPCD DATABASE, LOAD DATA AND RUN DB2ADVIS TOOL                                               
REM ------------------------------------------------------------------- 

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO CREATE A TPCD DATABASE, LOAD DATA And RUN DB2ADVIS TOOL
ECHO.

REM ------------------------------------------------------------------- 
REM Prepare TPCD database                                               
REM ------------------------------------------------------------------- 
REM This script prepares a TPCD database for design advisor          


ECHO Step 1: Dropping TPCD database, if it exists 

db2 terminate >> %OUTFILE%
db2stop FORCE >>  %OUTFILE%
db2start >> %OUTFILE%

db2 drop db tpcd >> %OUTFILE%

ECHO Step 2: Creating TPCD database 

db2 -tf Design08101.ddl >> %OUTFILE%

ECHO Step 3: Creating All Tables 

db2 -tf Design08102.ddl >> %OUTFILE%

ECHO Step 4: Loading data in tables 

db2 -tf Design08103.ddl >> %OUTFILE%

ECHO Step 5: Updating statistics 

db2 -tf Design08104.ddl >> %OUTFILE%

ECHO Step 6: Creating EXPLAIN tables 

db2 -tf Design08105.DDL >> %OUTFILE%

ECHO.
ECHO PLEASE REMEMBER TO CHECK OUTPUT FILE '%OUTFILE%' FOR SETTING UP TPCD DATABASE
ECHO.

ECHO Step 7: RUN DB2 ADVISOR TOOL
ECHO.

db2advis -db tpcd -type MIC -file Design08106.DDL -schema TPCD -compress off > DB2advis_OUTPUT.TXT

ECHO.
ECHO Note: The heart of this script is db2advis command. Please review
ECHO the output of this command in DB2Advis_OUTPUT.TXT.
