::  Copyright(r) IBM Corporation
::
::  Report bugs to : Vikram Khatri (vkhatri@us.ibm.com)
::

REM ------------------------------------------------------------------- ----------------------
REM  Stress Test - To trigger Health Center Alerts and Warnings
REM ------------------------------------------------------------------------------------------ 

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO Stress Test - To trigger Health Center Alerts and Warnings
ECHO.

ECHO QUIESCE DATABASE to RAISE AN ALERT
db2 connect to sample >> %OUTFILE%
db2 QUIESCE DATABASE IMMEDIATE FORCE CONNECTIONS  >> %OUTFILE%
db2 connect reset >> %OUTFILE%
db2 terminate >> %OUTFILE%

ECHO Create DATA and IDX DMS TABLE SPACES AND STRAWMAN Table
ECHO.

db2 -tf Health10002.DDL  >> %OUTFILE%

db2 connect to sample >> %OUTFILE%

REM Insert Data in the table
    
db2 -tf Health10003.DDL >> %OUTFILE%
db2 -tf Health10003.DDL >> %OUTFILE%
db2 -tf Health10003.DDL >> %OUTFILE%
db2 -tf Health10003.DDL >> %OUTFILE%
    
ECHO Sleeping for 10 minutes as it may take maximum 10 minutes
ECHO to show alerts in health center
ECHO.

sleep 900

db2 "select tablespace_name, hi_value, hi_timestamp, hi_alert_state_detail  from table (HEALTH_TBS_HI ('SAMPLE',(-1))) as HEALTH_TBS_HI where hi_alert_state_detail like 'Alarm%' OR hi_alert_state_detail like 'Warning%'" >> %OUTFILE%

db2 connect reset >> %OUTFILE%
db2 terminate >> %OUTFILE%

ECHO.
ECHO Note: The heart of this script is to create table space alerts.
ECHO       After running this script, you can see the alerts in the Health Center.
ECHO       If you do not see any alerts in the Health Center, please wait for 
ECHO       few more minutes.
ECHO.
ECHO       Please check the output file %OUTFILE%
ECHO.

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
