::  Copyright(r) IBM Corporation
::
::  Report bugs to : Vikram Khatri (vkhatri@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM TRANSPORATBLE database from one instance to another
REM ------------------------------------------------------------------- 

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO Create DATA database in DB2 instance and Create DB2PROD instance
ECHO.

REM
REM DROP existing DATA database if any
REM

set db2instance=DB2
db2 terminate >> %OUTFILE%
db2stop FORCE  >> %OUTFILE%
db2start >>  %OUTFILE%
db2 drop database data >> %OUTFILE%

ECHO.
ECHO Step 1: Create DATA database in DB2 instance
ECHO.

db2 CREATE DATABASE DATA >> %OUTFILE%

ECHO.
ECHO Step 2: Create two DMS table spaces in C:\db2 directory
ECHO         and create STRAWMAN table with 10000 rows
ECHO.

db2 -tf Data12002.DDL >> %OUTFILE%

ECHO.
ECHO Step 3: Create DB2PROD instance, if it does not exist
ECHO.

SET DB2PRODFOUND=false
FOR /F "tokens=1" %%K in ('db2ilist') do (
   IF "%%K" EQU "DB2PROD" (
      SET DB2PRODFOUND=true
      break
   )
)

IF "%DB2PRODFOUND%" EQU "false" (
   ECHO CREATING DB2PROD instance
   db2icrt DB2PROD >> %OUTFILE%
   IF NOT EXIST C:\db2prod\nul (
     ECHO.
     ECHO CREATING C:\DB2PROD directory
     ECHO.
     mkdir c:\DB2PROD >> %OUTFILE%
   )
   set db2instance=DB2PROD
   ECHO Starting DB2PROD instance
   db2start >> %OUTFILE%
) ELSE (
   ECHO DB2PROD Instance already exists
)

ECHO.
ECHO Note: Theis script creates DATA database with two DMS
ECHO       table spaces and a STRAWMAN table.
ECHO       Please go to Control Center and verify these objects.
ECHO.
ECHO       Please check the OUTPUT FILE '%OUTFILE%'
ECHO.
