::  Copyright(r) IBM Corporation
::
::  Report bugs to : Vikram Khatri (vkhatri@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM TRANSPORATBLE database from one instance to another
REM ------------------------------------------------------------------- 

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO OS Copy DATA database from DB2 instance to DB2PROD instance
ECHO.

set db2instance=DB2

ECHO.
ECHO Step 1: QUIESCE database and deactivate it (To allow OS copy of files)
ECHO.

db2 connect to data >> %OUTFILE%
REM Capture database path for DATA database
for /F "delims='=' tokens=1,2" %%K in ('db2 get snapshot for tablespaces on data ^| findstr /I /C:"Database name" /C:"Database path"') do (
   IF "%%K" EQU "Database path                              " (
      SET DBPATH=%%L
   )
)

SET NEWDBPATH=%DBPATH:DB2=DB2PROD%

db2 QUIESCE DATABASE IMMEDIATE FORCE CONNECTIONS  >> %OUTFILE%
db2 CONNECT RESET  >> %OUTFILE%
db2 terminate >> %OUTFILE%
db2 deactivate db data >> %OUTFILE%


ECHO.
ECHO Step 2: OS copy DATA database from DB2 instance to DB2PROD instance
ECHO.

ECHO Copy DATA database from DB2 to DB2PROD instance
ECHO.

XCOPY /Y /E /I C:\DB2\NODE0000\SQLDBDIR\*.* C:\DB2PROD\NODE0000\SQLDBDIR >> %OUTFILE%
XCOPY /Y /E /I %DBPATH%*.* %NEWDBPATH% >> %OUTFILE%

ECHO Copy table spaces from C:\DB2 to C:\DB2Prod
ECHO.

IF NOT EXIST C:\db2Prod\nul (
  ECHO CREATING C:\db2Prod directory
  ECHO.
  mkdir C:\db2Prod >> %OUTFILE%
)
XCOPY /Y /E /I C:\DB2\DataData01.dat C:\DB2Prod >> %OUTFILE%
XCOPY /Y /E /I C:\DB2\Dataidx01.dat C:\DB2Prod >> %OUTFILE%

ECHO.
ECHO Note: The heart of the lesson of this script is copying database
ECHO       and table spaces files using OS copy command
ECHO.
ECHO       Please go to Windows explorer and check copied file in C:\DB2PROD  
ECHO       directory. Please check the OUTPUT FILE '%OUTFILE%'
ECHO.
