::  Copyright(r) IBM Corporation
::
::  Report bugs to : Vikram Khatri (vkhatri@us.ibm.com)
::

REM ------------------------------------------------------------------- 
REM TRANSPORATBLE database from one instance to another
REM ------------------------------------------------------------------- 

SET OUTFILE=%~n0_OUTPUT.TXT

@echo off
cls

ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% 
ECHO Executed by: %USERNAME% Machine: %COMPUTERNAME% On %OS% %DATE% %TIME% > %OUTFILE%
ECHO Run DB2RELOCATEDB Tool
ECHO.

ECHO Step 1: Run DB2RELOCATEDB tool to enable DATA database in DB2PROD instance
ECHO.

set db2instance=DB2PROD
db2relocatedb -f Data12005.CFG >> %OUTFILE%

ECHO.
ECHO Step 2: UNQUIESCE DATA DATABASE in DB2 instance
ECHO.

set db2instance=DB2
db2 connect to data >> %OUTFILE%
db2 unquiesce database >> %OUTFILE%
db2 connect reset >> %OUTFILE%
db2 terminate >> %OUTFILE%

ECHO.
ECHO Step 3: Connect to DATA database in DB2PROD
ECHO.

set db2instance=DB2PROD
db2 connect to data >> %OUTFILE%
ECHO         Rows count from STRAWMAN table from DATA in DB2PROD instance
ECHO.
db2 "select count(*) from strawman"
db2 "select count(*) from strawman" >> %OUTFILE%
db2 connect reset >> %OUTFILE%
db2 terminate >> %OUTFILE%

set db2instance=DB2

ECHO.
ECHO Note: The heart of the lesson of this script is the db2relocatedb tool
ECHO       Please review DATA12005.CFG file carefully used by this tool
ECHO.
ECHO       Please check the OUTPUT FILE '%OUTFILE%'
ECHO.
