CONNECT TO TPCD;

RUNSTATS ON TABLE "TPCD    "."REGION" WITH DISTRIBUTION ON COLUMNS (
R_NAME NUM_FREQVALUES 5 NUM_QUANTILES 5,
R_REGIONKEY NUM_FREQVALUES 5 NUM_QUANTILES 5);


UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    PAGE_FETCH_PAIRS='',
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1,
    AVERAGE_SEQUENCE_FETCH_GAP=-1,
    AVERAGE_SEQUENCE_PAGES=-1,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1,
    AVERAGE_RANDOM_PAGES=-1,
    AVERAGE_RANDOM_FETCH_PAGES=-1,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE TABNAME = 'REGION' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=-1,
    NUMNULLS=-1
WHERE TABNAME = 'REGION' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.TABLES
SET CARD=5,
    NPAGES=1,
    FPAGES=2,
    OVERFLOW=0,
    ACTIVE_BLOCKS=0
WHERE TABNAME = 'REGION' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=5,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='3',
    LOW2KEY='1',
    AVGCOLLEN=4
WHERE COLNAME = 'R_REGIONKEY' AND TABNAME = 'REGION' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=5,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='EUROPE                   ',
    LOW2KEY='AMERICA                  ',
    AVGCOLLEN=25
WHERE COLNAME = 'R_NAME' AND TABNAME = 'REGION' AND TABSCHEMA = 'TPCD    ';

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'R_REGIONKEY' AND TABNAME = 'REGION'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='0',
    VALCOUNT=1
WHERE COLNAME = 'R_REGIONKEY' AND TABNAME = 'REGION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1',
    VALCOUNT=2
WHERE COLNAME = 'R_REGIONKEY' AND TABNAME = 'REGION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2',
    VALCOUNT=3
WHERE COLNAME = 'R_REGIONKEY' AND TABNAME = 'REGION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4',
    VALCOUNT=4
WHERE COLNAME = 'R_REGIONKEY' AND TABNAME = 'REGION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4',
    VALCOUNT=5
WHERE COLNAME = 'R_REGIONKEY' AND TABNAME = 'REGION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'R_NAME' AND TABNAME = 'REGION'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='AFRICA                   ',
    VALCOUNT=1
WHERE COLNAME = 'R_NAME' AND TABNAME = 'REGION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='AMERICA                  ',
    VALCOUNT=2
WHERE COLNAME = 'R_NAME' AND TABNAME = 'REGION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='ASIA                     ',
    VALCOUNT=3
WHERE COLNAME = 'R_NAME' AND TABNAME = 'REGION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='MIDDLE EAST              ',
    VALCOUNT=4
WHERE COLNAME = 'R_NAME' AND TABNAME = 'REGION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='MIDDLE EAST              ',
    VALCOUNT=5
WHERE COLNAME = 'R_NAME' AND TABNAME = 'REGION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

COMMIT WORK;

-- Mimic table NATION 

RUNSTATS ON TABLE "TPCD    "."NATION" WITH DISTRIBUTION ON COLUMNS (
N_NAME NUM_FREQVALUES 10 NUM_QUANTILES 20,
N_NATIONKEY NUM_FREQVALUES 10 NUM_QUANTILES 20,
N_REGIONKEY NUM_FREQVALUES 10 NUM_QUANTILES 20);


UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    PAGE_FETCH_PAIRS='',
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1,
    AVERAGE_SEQUENCE_FETCH_GAP=-1,
    AVERAGE_SEQUENCE_PAGES=-1,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1,
    AVERAGE_RANDOM_PAGES=-1,
    AVERAGE_RANDOM_FETCH_PAGES=-1,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE TABNAME = 'NATION' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=-1,
    NUMNULLS=-1
WHERE TABNAME = 'NATION' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.TABLES
SET CARD=25,
    NPAGES=1,
    FPAGES=2,
    OVERFLOW=0,
    ACTIVE_BLOCKS=0
WHERE TABNAME = 'NATION' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=25,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='23',
    LOW2KEY='1',
    AVGCOLLEN=4
WHERE COLNAME = 'N_NATIONKEY' AND TABNAME = 'NATION' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=25,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='UNITED STATES            ',
    LOW2KEY='ARGENTINA                ',
    AVGCOLLEN=25
WHERE COLNAME = 'N_NAME' AND TABNAME = 'NATION' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=5,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='3',
    LOW2KEY='1',
    AVGCOLLEN=4
WHERE COLNAME = 'N_REGIONKEY' AND TABNAME = 'NATION' AND TABSCHEMA = 'TPCD    ';

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'N_NATIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='0',
    VALCOUNT=1
WHERE COLNAME = 'N_NATIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1',
    VALCOUNT=2
WHERE COLNAME = 'N_NATIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2',
    VALCOUNT=3
WHERE COLNAME = 'N_NATIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4',
    VALCOUNT=5
WHERE COLNAME = 'N_NATIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5',
    VALCOUNT=6
WHERE COLNAME = 'N_NATIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='6',
    VALCOUNT=7
WHERE COLNAME = 'N_NATIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='8',
    VALCOUNT=9
WHERE COLNAME = 'N_NATIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='9',
    VALCOUNT=10
WHERE COLNAME = 'N_NATIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='10',
    VALCOUNT=11
WHERE COLNAME = 'N_NATIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='12',
    VALCOUNT=13
WHERE COLNAME = 'N_NATIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='13',
    VALCOUNT=14
WHERE COLNAME = 'N_NATIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='14',
    VALCOUNT=15
WHERE COLNAME = 'N_NATIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='15',
    VALCOUNT=16
WHERE COLNAME = 'N_NATIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='17',
    VALCOUNT=18
WHERE COLNAME = 'N_NATIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='18',
    VALCOUNT=19
WHERE COLNAME = 'N_NATIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='19',
    VALCOUNT=20
WHERE COLNAME = 'N_NATIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='21',
    VALCOUNT=22
WHERE COLNAME = 'N_NATIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='22',
    VALCOUNT=23
WHERE COLNAME = 'N_NATIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='24',
    VALCOUNT=24
WHERE COLNAME = 'N_NATIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='24',
    VALCOUNT=25
WHERE COLNAME = 'N_NATIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'N_NAME' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='ALGERIA                  ',
    VALCOUNT=1
WHERE COLNAME = 'N_NAME' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='ARGENTINA                ',
    VALCOUNT=2
WHERE COLNAME = 'N_NAME' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='BRAZIL                   ',
    VALCOUNT=3
WHERE COLNAME = 'N_NAME' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='CHINA                    ',
    VALCOUNT=5
WHERE COLNAME = 'N_NAME' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='EGYPT                    ',
    VALCOUNT=6
WHERE COLNAME = 'N_NAME' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='ETHIOPIA                 ',
    VALCOUNT=7
WHERE COLNAME = 'N_NAME' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='GERMANY                  ',
    VALCOUNT=9
WHERE COLNAME = 'N_NAME' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='INDIA                    ',
    VALCOUNT=10
WHERE COLNAME = 'N_NAME' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='INDONESIA                ',
    VALCOUNT=11
WHERE COLNAME = 'N_NAME' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='IRAQ                     ',
    VALCOUNT=13
WHERE COLNAME = 'N_NAME' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='JAPAN                    ',
    VALCOUNT=14
WHERE COLNAME = 'N_NAME' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='JORDAN                   ',
    VALCOUNT=15
WHERE COLNAME = 'N_NAME' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='KENYA                    ',
    VALCOUNT=16
WHERE COLNAME = 'N_NAME' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='MOZAMBIQUE               ',
    VALCOUNT=18
WHERE COLNAME = 'N_NAME' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='PERU                     ',
    VALCOUNT=19
WHERE COLNAME = 'N_NAME' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='ROMANIA                  ',
    VALCOUNT=20
WHERE COLNAME = 'N_NAME' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='SAUDI ARABIA             ',
    VALCOUNT=22
WHERE COLNAME = 'N_NAME' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='UNITED KINGDOM           ',
    VALCOUNT=23
WHERE COLNAME = 'N_NAME' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='VIETNAM                  ',
    VALCOUNT=24
WHERE COLNAME = 'N_NAME' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='VIETNAM                  ',
    VALCOUNT=25
WHERE COLNAME = 'N_NAME' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'N_REGIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='0',
    VALCOUNT=5
WHERE COLNAME = 'N_REGIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1',
    VALCOUNT=5
WHERE COLNAME = 'N_REGIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2',
    VALCOUNT=5
WHERE COLNAME = 'N_REGIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3',
    VALCOUNT=5
WHERE COLNAME = 'N_REGIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4',
    VALCOUNT=5
WHERE COLNAME = 'N_REGIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='0',
    VALCOUNT=0
WHERE COLNAME = 'N_REGIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='0',
    VALCOUNT=5
WHERE COLNAME = 'N_REGIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1',
    VALCOUNT=5
WHERE COLNAME = 'N_REGIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1',
    VALCOUNT=10
WHERE COLNAME = 'N_REGIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2',
    VALCOUNT=10
WHERE COLNAME = 'N_REGIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2',
    VALCOUNT=15
WHERE COLNAME = 'N_REGIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3',
    VALCOUNT=15
WHERE COLNAME = 'N_REGIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3',
    VALCOUNT=20
WHERE COLNAME = 'N_REGIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4',
    VALCOUNT=20
WHERE COLNAME = 'N_REGIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4',
    VALCOUNT=25
WHERE COLNAME = 'N_REGIONKEY' AND TABNAME = 'NATION'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

COMMIT WORK;

UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1.000000,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1.000000,
    AVERAGE_SEQUENCE_FETCH_GAP=-1.000000,
    AVERAGE_SEQUENCE_PAGES=-1.000000,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1.000000,
    AVERAGE_RANDOM_PAGES=-1.000000,
    AVERAGE_RANDOM_FETCH_PAGES=-1.000000,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE INDNAME = 'N_RK' AND INDSCHEMA = 'TPCD    '
      AND TABNAME = 'NATION' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1.000000,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1.000000,
    AVERAGE_SEQUENCE_FETCH_GAP=-1.000000,
    AVERAGE_SEQUENCE_PAGES=-1.000000,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1.000000,
    AVERAGE_RANDOM_PAGES=-1.000000,
    AVERAGE_RANDOM_FETCH_PAGES=-1.000000,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE COLNAMES = '+N_NATIONKEY'
      AND TABNAME = 'NATION' AND TABSCHEMA = 'TPCD    ';

COMMIT WORK;

-- Mimic table PART 

RUNSTATS ON TABLE "TPCD    "."PART" WITH DISTRIBUTION ON COLUMNS (
P_BRAND NUM_FREQVALUES 10 NUM_QUANTILES 20,
P_CONTAINER NUM_FREQVALUES 10 NUM_QUANTILES 20,
P_MFGR NUM_FREQVALUES 10 NUM_QUANTILES 20,
P_NAME NUM_FREQVALUES 10 NUM_QUANTILES 20,
P_PARTKEY NUM_FREQVALUES 10 NUM_QUANTILES 20,
P_RETAILPRICE NUM_FREQVALUES 10 NUM_QUANTILES 20,
P_SIZE NUM_FREQVALUES 10 NUM_QUANTILES 20,
P_TYPE NUM_FREQVALUES 10 NUM_QUANTILES 20)
; 

UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    PAGE_FETCH_PAIRS='',
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1,
    AVERAGE_SEQUENCE_FETCH_GAP=-1,
    AVERAGE_SEQUENCE_PAGES=-1,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1,
    AVERAGE_RANDOM_PAGES=-1,
    AVERAGE_RANDOM_FETCH_PAGES=-1,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE TABNAME = 'PART' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=-1,
    NUMNULLS=-1
WHERE TABNAME = 'PART' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.TABLES
SET CARD=200000,
    NPAGES=6676,
    FPAGES=6688,
    OVERFLOW=0,
    ACTIVE_BLOCKS=0
WHERE TABNAME = 'PART' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=200000,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='199999',
    LOW2KEY='2',
    AVGCOLLEN=4
WHERE COLNAME = 'P_PARTKEY' AND TABNAME = 'PART' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=184320,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='yellow white peach powder gainsbo',
    LOW2KEY='almond antique azure green firebr',
    AVGCOLLEN=37
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=5,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY=X'4D616E75666163747572657223342020202020202020202020',
    LOW2KEY=X'4D616E75666163747572657223322020202020202020202020',
    AVGCOLLEN=25
WHERE COLNAME = 'P_MFGR' AND TABNAME = 'PART' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=25,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY=X'4272616E642335342020',
    LOW2KEY=X'4272616E642331322020',
    AVGCOLLEN=10
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=144,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='STANDARD POLISHED STEEL',
    LOW2KEY='ECONOMY ANODIZED COPPER',
    AVGCOLLEN=25
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=50,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='49',
    LOW2KEY='2',
    AVGCOLLEN=4
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=40,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='WRAP PACK ',
    LOW2KEY='JUMBO BOX ',
    AVGCOLLEN=10
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=20992,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='+2.09799000000000E+003',
    LOW2KEY='+9.02000000000000E+002',
    AVGCOLLEN=8
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART' AND TABSCHEMA = 'TPCD    ';

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'P_PARTKEY' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='183',
    VALCOUNT=100
WHERE COLNAME = 'P_PARTKEY' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='11161',
    VALCOUNT=10500
WHERE COLNAME = 'P_PARTKEY' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='21302',
    VALCOUNT=21100
WHERE COLNAME = 'P_PARTKEY' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='34832',
    VALCOUNT=31600
WHERE COLNAME = 'P_PARTKEY' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='46455',
    VALCOUNT=42100
WHERE COLNAME = 'P_PARTKEY' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='56347',
    VALCOUNT=52600
WHERE COLNAME = 'P_PARTKEY' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='67622',
    VALCOUNT=63200
WHERE COLNAME = 'P_PARTKEY' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='77865',
    VALCOUNT=73700
WHERE COLNAME = 'P_PARTKEY' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='87470',
    VALCOUNT=84200
WHERE COLNAME = 'P_PARTKEY' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='99656',
    VALCOUNT=94700
WHERE COLNAME = 'P_PARTKEY' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='109378',
    VALCOUNT=105300
WHERE COLNAME = 'P_PARTKEY' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='118798',
    VALCOUNT=115800
WHERE COLNAME = 'P_PARTKEY' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='129838',
    VALCOUNT=126300
WHERE COLNAME = 'P_PARTKEY' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='141204',
    VALCOUNT=136800
WHERE COLNAME = 'P_PARTKEY' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='152456',
    VALCOUNT=147400
WHERE COLNAME = 'P_PARTKEY' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='161555',
    VALCOUNT=157900
WHERE COLNAME = 'P_PARTKEY' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='170339',
    VALCOUNT=168400
WHERE COLNAME = 'P_PARTKEY' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='181391',
    VALCOUNT=178900
WHERE COLNAME = 'P_PARTKEY' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='190313',
    VALCOUNT=189500
WHERE COLNAME = 'P_PARTKEY' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='199980',
    VALCOUNT=200000
WHERE COLNAME = 'P_PARTKEY' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='almond azure goldenrod drab lawn',
    VALCOUNT=100
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='almond beige purple tan light',
    VALCOUNT=100
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='almond cyan lawn dark plum',
    VALCOUNT=100
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='almond drab wheat deep rose',
    VALCOUNT=100
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='almond firebrick burnished salmon',
    VALCOUNT=100
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='almond forest metallic puff turqu',
    VALCOUNT=100
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='almond frosted chocolate plum aqu',
    VALCOUNT=100
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='almond khaki brown lavender gains',
    VALCOUNT=100
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='almond linen light burnished crea',
    VALCOUNT=100
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='almond magenta pink firebrick azu',
    VALCOUNT=100
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='almond azure goldenrod drab lawn',
    VALCOUNT=100
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='azure rosy burlywood blue cornflo',
    VALCOUNT=10500
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='blanched chocolate orchid azure l',
    VALCOUNT=21100
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='burlywood medium floral midnight ',
    VALCOUNT=31600
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='chocolate dim slate plum moccasin',
    VALCOUNT=42100
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='cyan antique navajo misty lace',
    VALCOUNT=52600
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='dim lemon cream pale grey',
    VALCOUNT=63200
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='floral royal khaki maroon forest',
    VALCOUNT=73700
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='goldenrod coral ghost beige mocca',
    VALCOUNT=84200
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='hot burlywood gainsboro burnished',
    VALCOUNT=94700
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='lavender chartreuse steel linen a',
    VALCOUNT=105300
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='linen aquamarine honeydew chartre',
    VALCOUNT=115800
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='metallic white green brown dodger',
    VALCOUNT=126300
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='navy firebrick papaya grey metall',
    VALCOUNT=136800
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='papaya yellow sky dark thistle',
    VALCOUNT=147400
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='powder violet firebrick hot pale',
    VALCOUNT=157900
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='saddle deep blanched rosy honeyde',
    VALCOUNT=168400
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='slate antique red burlywood orchi',
    VALCOUNT=178900
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='thistle gainsboro chiffon seashel',
    VALCOUNT=189500
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='yellow violet chiffon purple seas',
    VALCOUNT=200000
WHERE COLNAME = 'P_NAME' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'P_MFGR' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4D616E75666163747572657223322020202020202020202020',
    VALCOUNT=43600
WHERE COLNAME = 'P_MFGR' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4D616E75666163747572657223312020202020202020202020',
    VALCOUNT=42400
WHERE COLNAME = 'P_MFGR' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4D616E75666163747572657223352020202020202020202020',
    VALCOUNT=40000
WHERE COLNAME = 'P_MFGR' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4D616E75666163747572657223342020202020202020202020',
    VALCOUNT=37500
WHERE COLNAME = 'P_MFGR' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4D616E75666163747572657223332020202020202020202020',
    VALCOUNT=36500
WHERE COLNAME = 'P_MFGR' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4D616E75666163747572657223312020202020202020202020',
    VALCOUNT=0
WHERE COLNAME = 'P_MFGR' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4D616E75666163747572657223312020202020202020202020',
    VALCOUNT=42400
WHERE COLNAME = 'P_MFGR' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4D616E75666163747572657223322020202020202020202020',
    VALCOUNT=42400
WHERE COLNAME = 'P_MFGR' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4D616E75666163747572657223322020202020202020202020',
    VALCOUNT=86000
WHERE COLNAME = 'P_MFGR' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4D616E75666163747572657223332020202020202020202020',
    VALCOUNT=86000
WHERE COLNAME = 'P_MFGR' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4D616E75666163747572657223332020202020202020202020',
    VALCOUNT=122500
WHERE COLNAME = 'P_MFGR' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4D616E75666163747572657223342020202020202020202020',
    VALCOUNT=122500
WHERE COLNAME = 'P_MFGR' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4D616E75666163747572657223342020202020202020202020',
    VALCOUNT=160000
WHERE COLNAME = 'P_MFGR' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4D616E75666163747572657223352020202020202020202020',
    VALCOUNT=160000
WHERE COLNAME = 'P_MFGR' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4D616E75666163747572657223352020202020202020202020',
    VALCOUNT=200000
WHERE COLNAME = 'P_MFGR' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642332312020',
    VALCOUNT=10000
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642335332020',
    VALCOUNT=9900
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642332352020',
    VALCOUNT=9300
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642331332020',
    VALCOUNT=9200
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642331342020',
    VALCOUNT=8900
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642332322020',
    VALCOUNT=8500
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642331322020',
    VALCOUNT=8300
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642335322020',
    VALCOUNT=8300
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642331352020',
    VALCOUNT=8100
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642332332020',
    VALCOUNT=8100
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642331312020',
    VALCOUNT=7900
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642331322020',
    VALCOUNT=16200
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642331332020',
    VALCOUNT=25400
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642331342020',
    VALCOUNT=34300
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642331352020',
    VALCOUNT=42400
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642332322020',
    VALCOUNT=60900
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642332332020',
    VALCOUNT=69000
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642332342020',
    VALCOUNT=76700
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642332352020',
    VALCOUNT=86000
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642333322020',
    VALCOUNT=101200
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642333332020',
    VALCOUNT=108900
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642333352020',
    VALCOUNT=122500
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642334312020',
    VALCOUNT=130600
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642334322020',
    VALCOUNT=137800
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642334342020',
    VALCOUNT=153300
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642334352020',
    VALCOUNT=160000
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642335322020',
    VALCOUNT=175200
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642335332020',
    VALCOUNT=185100
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642335342020',
    VALCOUNT=192200
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4272616E642335352020',
    VALCOUNT=200000
WHERE COLNAME = 'P_BRAND' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='PROMO POLISHED STEEL',
    VALCOUNT=2400
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='ECONOMY BRUSHED COPPER',
    VALCOUNT=2400
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='SMALL PLATED COPPER',
    VALCOUNT=2200
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='MEDIUM ANODIZED TIN',
    VALCOUNT=2100
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='LARGE PLATED BRASS',
    VALCOUNT=2100
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='MEDIUM ANODIZED COPPER',
    VALCOUNT=2000
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='ECONOMY ANODIZED COPPER',
    VALCOUNT=2000
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='ECONOMY BRUSHED STEEL',
    VALCOUNT=2000
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='LARGE BRUSHED BRASS',
    VALCOUNT=1900
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='ECONOMY BRUSHED TIN',
    VALCOUNT=1900
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='ECONOMY ANODIZED BRASS',
    VALCOUNT=1700
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='ECONOMY BRUSHED COPPER',
    VALCOUNT=10900
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='ECONOMY BURNISHED TIN',
    VALCOUNT=22300
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='ECONOMY POLISHED NICKEL',
    VALCOUNT=31800
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='LARGE BRUSHED COPPER',
    VALCOUNT=42400
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='LARGE BURNISHED TIN',
    VALCOUNT=52900
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='LARGE POLISHED NICKEL',
    VALCOUNT=64900
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='MEDIUM ANODIZED TIN',
    VALCOUNT=75400
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='MEDIUM BURNISHED COPPER',
    VALCOUNT=85300
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='MEDIUM PLATED STEEL',
    VALCOUNT=95400
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='PROMO ANODIZED COPPER',
    VALCOUNT=106300
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='PROMO BRUSHED TIN',
    VALCOUNT=116000
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='PROMO PLATED STEEL',
    VALCOUNT=127400
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='SMALL ANODIZED BRASS',
    VALCOUNT=137800
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='SMALL BRUSHED STEEL',
    VALCOUNT=148000
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='SMALL PLATED COPPER',
    VALCOUNT=159300
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='STANDARD ANODIZED BRASS',
    VALCOUNT=168800
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='STANDARD BRUSHED STEEL',
    VALCOUNT=179100
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='STANDARD PLATED COPPER',
    VALCOUNT=189500
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='STANDARD POLISHED TIN',
    VALCOUNT=200000
WHERE COLNAME = 'P_TYPE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='10',
    VALCOUNT=5400
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3',
    VALCOUNT=5100
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='39',
    VALCOUNT=4900
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='12',
    VALCOUNT=4800
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='31',
    VALCOUNT=4700
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='16',
    VALCOUNT=4600
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='43',
    VALCOUNT=4600
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='19',
    VALCOUNT=4500
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='29',
    VALCOUNT=4500
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='25',
    VALCOUNT=4500
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1',
    VALCOUNT=3900
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3',
    VALCOUNT=13100
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='6',
    VALCOUNT=24200
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='8',
    VALCOUNT=32200
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='11',
    VALCOUNT=45300
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='13',
    VALCOUNT=53200
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='16',
    VALCOUNT=65500
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='19',
    VALCOUNT=76700
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='21',
    VALCOUNT=84200
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='24',
    VALCOUNT=96300
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='27',
    VALCOUNT=108800
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='29',
    VALCOUNT=117400
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='32',
    VALCOUNT=129300
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='34',
    VALCOUNT=137500
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='37',
    VALCOUNT=149000
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='40',
    VALCOUNT=160000
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='43',
    VALCOUNT=172400
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='45',
    VALCOUNT=180200
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='48',
    VALCOUNT=192100
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='50',
    VALCOUNT=200000
WHERE COLNAME = 'P_SIZE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='SM PACK   ',
    VALCOUNT=7100
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='WRAP BAG  ',
    VALCOUNT=6600
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='MED PKG   ',
    VALCOUNT=5800
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='JUMBO BAG ',
    VALCOUNT=5700
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='WRAP PACK ',
    VALCOUNT=5500
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='SM CAN    ',
    VALCOUNT=5500
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='WRAP PKG  ',
    VALCOUNT=5500
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='JUMBO DRUM',
    VALCOUNT=5400
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='JUMBO JAR ',
    VALCOUNT=5400
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='LG PACK   ',
    VALCOUNT=5300
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='JUMBO BAG ',
    VALCOUNT=5700
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='JUMBO CAN ',
    VALCOUNT=14700
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='JUMBO DRUM',
    VALCOUNT=25200
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='JUMBO PACK',
    VALCOUNT=34800
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='LG BAG    ',
    VALCOUNT=43600
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='LG CAN    ',
    VALCOUNT=52600
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='LG JAR    ',
    VALCOUNT=67200
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='LG PKG    ',
    VALCOUNT=77400
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='MED BOX   ',
    VALCOUNT=87400
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='MED CASE  ',
    VALCOUNT=96700
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='MED JAR   ',
    VALCOUNT=106600
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='MED PKG   ',
    VALCOUNT=117500
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='SM BOX    ',
    VALCOUNT=126900
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='SM CASE   ',
    VALCOUNT=137400
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='SM PACK   ',
    VALCOUNT=153900
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='SM PKG    ',
    VALCOUNT=158700
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='WRAP BOX  ',
    VALCOUNT=170300
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='WRAP CASE ',
    VALCOUNT=179200
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='WRAP PACK ',
    VALCOUNT=194500
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='WRAP PKG  ',
    VALCOUNT=200000
WHERE COLNAME = 'P_CONTAINER' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.93987000000000E+003',
    VALCOUNT=300
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.03901000000000E+003',
    VALCOUNT=200
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.06511000000000E+003',
    VALCOUNT=200
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.06602000000000E+003',
    VALCOUNT=200
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.09315000000000E+003',
    VALCOUNT=200
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.09604000000000E+003',
    VALCOUNT=200
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.09915000000000E+003',
    VALCOUNT=200
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.13004000000000E+003',
    VALCOUNT=200
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.14020000000000E+003',
    VALCOUNT=200
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.15616000000000E+003',
    VALCOUNT=200
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+9.13010000000000E+002',
    VALCOUNT=100
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.04412000000000E+003',
    VALCOUNT=10500
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.09904000000000E+003',
    VALCOUNT=21100
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.15523000000000E+003',
    VALCOUNT=31600
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.20125000000000E+003',
    VALCOUNT=42100
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.25326000000000E+003',
    VALCOUNT=52600
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.30024000000000E+003',
    VALCOUNT=63200
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.35644000000000E+003',
    VALCOUNT=73700
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.40237000000000E+003',
    VALCOUNT=84200
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.45545000000000E+003',
    VALCOUNT=94700
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.51356000000000E+003',
    VALCOUNT=105300
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.56457000000000E+003',
    VALCOUNT=115800
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.62464000000000E+003',
    VALCOUNT=126300
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.68370000000000E+003',
    VALCOUNT=136800
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.74466000000000E+003',
    VALCOUNT=147400
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.80086000000000E+003',
    VALCOUNT=157900
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.84786000000000E+003',
    VALCOUNT=168400
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.89496000000000E+003',
    VALCOUNT=178900
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.95085000000000E+003',
    VALCOUNT=189500
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.07998000000000E+003',
    VALCOUNT=200000
WHERE COLNAME = 'P_RETAILPRICE' AND TABNAME = 'PART'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1.000000,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1.000000,
    AVERAGE_SEQUENCE_FETCH_GAP=-1.000000,
    AVERAGE_SEQUENCE_PAGES=-1.000000,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1.000000,
    AVERAGE_RANDOM_PAGES=-1.000000,
    AVERAGE_RANDOM_FETCH_PAGES=-1.000000,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE INDNAME = 'P_PK' AND INDSCHEMA = 'TPCD    '
      AND TABNAME = 'PART' AND TABSCHEMA = 'TPCD    ';

COMMIT WORK;

-- Mimic table PARTSUPP 

RUNSTATS ON TABLE "TPCD    "."PARTSUPP" WITH DISTRIBUTION ON COLUMNS (
PS_AVAILQTY NUM_FREQVALUES 10 NUM_QUANTILES 20,
PS_PARTKEY NUM_FREQVALUES 10 NUM_QUANTILES 20,
PS_SUPPKEY NUM_FREQVALUES 10 NUM_QUANTILES 20,
PS_SUPPLYCOST NUM_FREQVALUES 10 NUM_QUANTILES 20)
; 

UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    PAGE_FETCH_PAIRS='',
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1,
    AVERAGE_SEQUENCE_FETCH_GAP=-1,
    AVERAGE_SEQUENCE_PAGES=-1,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1,
    AVERAGE_RANDOM_PAGES=-1,
    AVERAGE_RANDOM_FETCH_PAGES=-1,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE TABNAME = 'PARTSUPP' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=-1,
    NUMNULLS=-1
WHERE TABNAME = 'PARTSUPP' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.TABLES
SET CARD=800000,
    NPAGES=5973,
    FPAGES=5984,
    OVERFLOW=0,
    ACTIVE_BLOCKS=0
WHERE TABNAME = 'PARTSUPP' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=200000,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='199999',
    LOW2KEY='2',
    AVGCOLLEN=4
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=9984,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='9999',
    LOW2KEY='2',
    AVGCOLLEN=4
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=9984,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='9998',
    LOW2KEY='2',
    AVGCOLLEN=4
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=86016,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='+9.99990000000000E+002',
    LOW2KEY='+1.01000000000000E+000',
    AVGCOLLEN=8
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP' AND TABSCHEMA = 'TPCD    ';

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2088',
    VALCOUNT=800
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='14018',
    VALCOUNT=800
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='25140',
    VALCOUNT=800
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='33467',
    VALCOUNT=800
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='38953',
    VALCOUNT=800
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='48712',
    VALCOUNT=800
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='83091',
    VALCOUNT=800
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='86214',
    VALCOUNT=800
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='94010',
    VALCOUNT=800
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='110434',
    VALCOUNT=800
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='167',
    VALCOUNT=400
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='9603',
    VALCOUNT=42000
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='19377',
    VALCOUNT=84400
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='29296',
    VALCOUNT=126400
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='40059',
    VALCOUNT=168400
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='49319',
    VALCOUNT=210400
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='59922',
    VALCOUNT=252800
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='70672',
    VALCOUNT=294800
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='82054',
    VALCOUNT=336800
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='93098',
    VALCOUNT=378800
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='103949',
    VALCOUNT=421200
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='114997',
    VALCOUNT=463200
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='125926',
    VALCOUNT=505200
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='135493',
    VALCOUNT=547200
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='145332',
    VALCOUNT=589600
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='156762',
    VALCOUNT=631600
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='167813',
    VALCOUNT=673600
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='177671',
    VALCOUNT=715600
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='188031',
    VALCOUNT=758000
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='199901',
    VALCOUNT=800000
WHERE COLNAME = 'PS_PARTKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3050',
    VALCOUNT=1600
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2094',
    VALCOUNT=1200
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4164',
    VALCOUNT=1200
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='292',
    VALCOUNT=1200
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='6430',
    VALCOUNT=1200
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='6545',
    VALCOUNT=1200
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='6717',
    VALCOUNT=1200
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='7487',
    VALCOUNT=1200
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='7970',
    VALCOUNT=1200
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='8431',
    VALCOUNT=1200
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2',
    VALCOUNT=400
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='541',
    VALCOUNT=42000
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1073',
    VALCOUNT=84400
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1621',
    VALCOUNT=126400
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2199',
    VALCOUNT=168400
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2735',
    VALCOUNT=210400
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3237',
    VALCOUNT=252800
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3785',
    VALCOUNT=294800
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4260',
    VALCOUNT=336800
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4814',
    VALCOUNT=378800
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5323',
    VALCOUNT=421200
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5869',
    VALCOUNT=463600
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='6392',
    VALCOUNT=505200
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='6892',
    VALCOUNT=547600
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='7359',
    VALCOUNT=589600
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='7909',
    VALCOUNT=631600
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='8371',
    VALCOUNT=673600
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='8879',
    VALCOUNT=716400
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='9496',
    VALCOUNT=758000
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='10000',
    VALCOUNT=800000
WHERE COLNAME = 'PS_SUPPKEY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1414',
    VALCOUNT=1200
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1657',
    VALCOUNT=1200
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='206',
    VALCOUNT=1200
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2605',
    VALCOUNT=1200
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3142',
    VALCOUNT=1200
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='468',
    VALCOUNT=1200
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3995',
    VALCOUNT=1200
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4895',
    VALCOUNT=1200
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5200',
    VALCOUNT=1200
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5688',
    VALCOUNT=1200
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='11',
    VALCOUNT=400
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='632',
    VALCOUNT=42000
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1223',
    VALCOUNT=84400
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1657',
    VALCOUNT=127200
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2148',
    VALCOUNT=168400
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2713',
    VALCOUNT=210400
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3257',
    VALCOUNT=252800
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3845',
    VALCOUNT=294800
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4295',
    VALCOUNT=337200
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4842',
    VALCOUNT=378800
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5358',
    VALCOUNT=421200
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5921',
    VALCOUNT=463200
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='6356',
    VALCOUNT=505200
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='6852',
    VALCOUNT=547200
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='7358',
    VALCOUNT=589600
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='7840',
    VALCOUNT=631600
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='8453',
    VALCOUNT=673600
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='8937',
    VALCOUNT=715600
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='9477',
    VALCOUNT=758000
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='9998',
    VALCOUNT=800000
WHERE COLNAME = 'PS_AVAILQTY' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+4.78900000000000E+001',
    VALCOUNT=800
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+3.57330000000000E+002',
    VALCOUNT=800
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+5.07570000000000E+002',
    VALCOUNT=800
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+5.18850000000000E+002',
    VALCOUNT=800
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+5.67270000000000E+002',
    VALCOUNT=800
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+6.60960000000000E+002',
    VALCOUNT=800
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+7.71530000000000E+002',
    VALCOUNT=800
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+8.97280000000000E+002',
    VALCOUNT=800
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+9.20220000000000E+002',
    VALCOUNT=800
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+9.49740000000000E+002',
    VALCOUNT=800
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.02000000000000E+000',
    VALCOUNT=400
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+6.11400000000000E+001',
    VALCOUNT=42000
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.12730000000000E+002',
    VALCOUNT=84400
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.59430000000000E+002',
    VALCOUNT=126400
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.11190000000000E+002',
    VALCOUNT=168400
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.54830000000000E+002',
    VALCOUNT=210400
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+3.17940000000000E+002',
    VALCOUNT=252800
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+3.66880000000000E+002',
    VALCOUNT=294800
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+4.17730000000000E+002',
    VALCOUNT=336800
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+4.77850000000000E+002',
    VALCOUNT=378800
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+5.34640000000000E+002',
    VALCOUNT=421200
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+5.91220000000000E+002',
    VALCOUNT=463200
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+6.44620000000000E+002',
    VALCOUNT=505200
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+6.98920000000000E+002',
    VALCOUNT=547200
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+7.49570000000000E+002',
    VALCOUNT=589600
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+7.99690000000000E+002',
    VALCOUNT=631600
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+8.49840000000000E+002',
    VALCOUNT=673600
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+9.01710000000000E+002',
    VALCOUNT=715600
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+9.50000000000000E+002',
    VALCOUNT=758000
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+9.98780000000000E+002',
    VALCOUNT=800000
WHERE COLNAME = 'PS_SUPPLYCOST' AND TABNAME = 'PARTSUPP'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1.000000,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1.000000,
    AVERAGE_SEQUENCE_FETCH_GAP=-1.000000,
    AVERAGE_SEQUENCE_PAGES=-1.000000,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1.000000,
    AVERAGE_RANDOM_PAGES=-1.000000,
    AVERAGE_RANDOM_FETCH_PAGES=-1.000000,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE INDNAME = 'PS_PK' AND INDSCHEMA = 'TPCD    '
      AND TABNAME = 'PARTSUPP' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1.000000,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1.000000,
    AVERAGE_SEQUENCE_FETCH_GAP=-1.000000,
    AVERAGE_SEQUENCE_PAGES=-1.000000,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1.000000,
    AVERAGE_RANDOM_PAGES=-1.000000,
    AVERAGE_RANDOM_FETCH_PAGES=-1.000000,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE INDNAME = 'PS_PK_SK' AND INDSCHEMA = 'TPCD    '
      AND TABNAME = 'PARTSUPP' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1.000000,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1.000000,
    AVERAGE_SEQUENCE_FETCH_GAP=-1.000000,
    AVERAGE_SEQUENCE_PAGES=-1.000000,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1.000000,
    AVERAGE_RANDOM_PAGES=-1.000000,
    AVERAGE_RANDOM_FETCH_PAGES=-1.000000,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE INDNAME = 'PS_SK' AND INDSCHEMA = 'TPCD    '
      AND TABNAME = 'PARTSUPP' AND TABSCHEMA = 'TPCD    ';

COMMIT WORK;

-- Mimic table LINEITEM 

RUNSTATS ON TABLE "TPCD    "."LINEITEM" WITH DISTRIBUTION ON COLUMNS (
L_COMMITDATE NUM_FREQVALUES 10 NUM_QUANTILES 20,
L_DISCOUNT NUM_FREQVALUES 10 NUM_QUANTILES 20,
L_EXTENDEDPRICE NUM_FREQVALUES 10 NUM_QUANTILES 20,
L_LINENUMBER NUM_FREQVALUES 10 NUM_QUANTILES 20,
L_LINESTATUS NUM_FREQVALUES 10 NUM_QUANTILES 20,
L_ORDERKEY NUM_FREQVALUES 10 NUM_QUANTILES 20,
L_PARTKEY NUM_FREQVALUES 10 NUM_QUANTILES 20,
L_QUANTITY NUM_FREQVALUES 10 NUM_QUANTILES 20,
L_RECEIPTDATE NUM_FREQVALUES 10 NUM_QUANTILES 20,
L_RETURNFLAG NUM_FREQVALUES 10 NUM_QUANTILES 20,
L_SHIPDATE NUM_FREQVALUES 10 NUM_QUANTILES 20,
L_SHIPINSTRUCT NUM_FREQVALUES 10 NUM_QUANTILES 20,
L_SHIPMODE NUM_FREQVALUES 10 NUM_QUANTILES 20,
L_SUPPKEY NUM_FREQVALUES 10 NUM_QUANTILES 20,
L_TAX NUM_FREQVALUES 10 NUM_QUANTILES 20)
; 

UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    PAGE_FETCH_PAIRS='',
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1,
    AVERAGE_SEQUENCE_FETCH_GAP=-1,
    AVERAGE_SEQUENCE_PAGES=-1,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1,
    AVERAGE_RANDOM_PAGES=-1,
    AVERAGE_RANDOM_FETCH_PAGES=-1,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE TABNAME = 'LINEITEM' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=-1,
    NUMNULLS=-1
WHERE TABNAME = 'LINEITEM' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.TABLES
SET CARD=6001215,
    NPAGES=166784,
    FPAGES=166816,
    OVERFLOW=0,
    ACTIVE_BLOCKS=0
WHERE TABNAME = 'LINEITEM' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=1579390,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='5999975',
    LOW2KEY='2',
    AVGCOLLEN=8
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=200000,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='199999',
    LOW2KEY='2',
    AVGCOLLEN=4
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=9984,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='9999',
    LOW2KEY='2',
    AVGCOLLEN=4
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=7,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='6',
    LOW2KEY='2',
    AVGCOLLEN=4
WHERE COLNAME = 'L_LINENUMBER' AND TABNAME = 'LINEITEM' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=50,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='+4.90000000000000E+001',
    LOW2KEY='+2.00000000000000E+000',
    AVGCOLLEN=8
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=1013016,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='+1.04899500000000E+005',
    LOW2KEY='+9.03000000000000E+002',
    AVGCOLLEN=8
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=11,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='+9.00000000000000E-002',
    LOW2KEY='+1.00000000000000E-002',
    AVGCOLLEN=8
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=9,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='+7.00000000000000E-002',
    LOW2KEY='+1.00000000000000E-002',
    AVGCOLLEN=8
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=3,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    AVGCOLLEN=1
WHERE COLNAME = 'L_RETURNFLAG' AND TABNAME = 'LINEITEM' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=2,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    AVGCOLLEN=1
WHERE COLNAME = 'L_LINESTATUS' AND TABNAME = 'LINEITEM' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=2688,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='1998-11-30',
    LOW2KEY='1992-01-03',
    AVGCOLLEN=4
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=2592,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='1998-10-30',
    LOW2KEY='1992-02-01',
    AVGCOLLEN=4
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=2720,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='1998-12-30',
    LOW2KEY='1992-01-05',
    AVGCOLLEN=4
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=4,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='NONE                     ',
    LOW2KEY='DELIVER IN PERSON        ',
    AVGCOLLEN=25
WHERE COLNAME = 'L_SHIPINSTRUCT' AND TABNAME = 'LINEITEM' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=7,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='SHIP      ',
    LOW2KEY='FOB       ',
    AVGCOLLEN=10
WHERE COLNAME = 'L_SHIPMODE' AND TABNAME = 'LINEITEM' AND TABSCHEMA = 'TPCD    ';

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='345060',
    VALCOUNT=6001
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4978337',
    VALCOUNT=6001
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3265',
    VALCOUNT=3001
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4930',
    VALCOUNT=3001
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5414',
    VALCOUNT=3001
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='7168',
    VALCOUNT=3001
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='8704',
    VALCOUNT=3001
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='13409',
    VALCOUNT=3001
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='18052',
    VALCOUNT=3001
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='19879',
    VALCOUNT=3001
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1125',
    VALCOUNT=3001
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='329987',
    VALCOUNT=315064
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='681569',
    VALCOUNT=633128
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='986753',
    VALCOUNT=948192
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1324451',
    VALCOUNT=1263256
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1591904',
    VALCOUNT=1578320
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1924581',
    VALCOUNT=1896384
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2221632',
    VALCOUNT=2211448
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2563591',
    VALCOUNT=2526512
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2891008',
    VALCOUNT=2841576
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3193091',
    VALCOUNT=3159640
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3459748',
    VALCOUNT=3474704
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3762149',
    VALCOUNT=3789768
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4061570',
    VALCOUNT=4104832
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4440997',
    VALCOUNT=4422896
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4718208',
    VALCOUNT=4737960
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5005056',
    VALCOUNT=5053024
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5351236',
    VALCOUNT=5368088
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5671685',
    VALCOUNT=5686152
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5996549',
    VALCOUNT=6001215
WHERE COLNAME = 'L_ORDERKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='160264',
    VALCOUNT=9002
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='50218',
    VALCOUNT=6001
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='57048',
    VALCOUNT=6001
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='69015',
    VALCOUNT=6001
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='72088',
    VALCOUNT=6001
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='77233',
    VALCOUNT=6001
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='95253',
    VALCOUNT=6001
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='107163',
    VALCOUNT=6001
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='107556',
    VALCOUNT=6001
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='123923',
    VALCOUNT=6001
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='34',
    VALCOUNT=3001
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='10752',
    VALCOUNT=315064
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='19781',
    VALCOUNT=633128
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='32139',
    VALCOUNT=948192
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='42813',
    VALCOUNT=1263256
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='53482',
    VALCOUNT=1578320
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='63069',
    VALCOUNT=1896384
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='72801',
    VALCOUNT=2211448
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='83421',
    VALCOUNT=2526512
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='94301',
    VALCOUNT=2841576
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='104307',
    VALCOUNT=3159640
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='114338',
    VALCOUNT=3474704
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='125777',
    VALCOUNT=3789768
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='135928',
    VALCOUNT=4104832
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='148518',
    VALCOUNT=4422896
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='159654',
    VALCOUNT=4737960
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='170440',
    VALCOUNT=5053024
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='181287',
    VALCOUNT=5368088
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='192144',
    VALCOUNT=5686152
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='199875',
    VALCOUNT=6001215
WHERE COLNAME = 'L_PARTKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='741',
    VALCOUNT=9002
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1664',
    VALCOUNT=9002
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2886',
    VALCOUNT=9002
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3221',
    VALCOUNT=9002
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4067',
    VALCOUNT=9002
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5067',
    VALCOUNT=9002
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5719',
    VALCOUNT=9002
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5904',
    VALCOUNT=9002
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='6940',
    VALCOUNT=9002
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='479',
    VALCOUNT=9002
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3',
    VALCOUNT=3001
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='492',
    VALCOUNT=315064
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1052',
    VALCOUNT=633128
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1612',
    VALCOUNT=948192
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2126',
    VALCOUNT=1263256
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2636',
    VALCOUNT=1578320
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3154',
    VALCOUNT=1896384
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3640',
    VALCOUNT=2211448
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4094',
    VALCOUNT=2526512
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4617',
    VALCOUNT=2841576
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5118',
    VALCOUNT=3159640
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5653',
    VALCOUNT=3474704
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='6208',
    VALCOUNT=3789768
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='6761',
    VALCOUNT=4104832
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='7363',
    VALCOUNT=4422896
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='7961',
    VALCOUNT=4737960
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='8504',
    VALCOUNT=5053024
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='8948',
    VALCOUNT=5371088
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='9499',
    VALCOUNT=5686152
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='9992',
    VALCOUNT=6001215
WHERE COLNAME = 'L_SUPPKEY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'L_LINENUMBER' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1',
    VALCOUNT=1530310
WHERE COLNAME = 'L_LINENUMBER' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2',
    VALCOUNT=1209245
WHERE COLNAME = 'L_LINENUMBER' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3',
    VALCOUNT=1128229
WHERE COLNAME = 'L_LINENUMBER' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4',
    VALCOUNT=846171
WHERE COLNAME = 'L_LINENUMBER' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5',
    VALCOUNT=654133
WHERE COLNAME = 'L_LINENUMBER' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='6',
    VALCOUNT=435088
WHERE COLNAME = 'L_LINENUMBER' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='7',
    VALCOUNT=198040
WHERE COLNAME = 'L_LINENUMBER' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1',
    VALCOUNT=0
WHERE COLNAME = 'L_LINENUMBER' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1',
    VALCOUNT=1530310
WHERE COLNAME = 'L_LINENUMBER' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2',
    VALCOUNT=1530310
WHERE COLNAME = 'L_LINENUMBER' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2',
    VALCOUNT=2739555
WHERE COLNAME = 'L_LINENUMBER' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3',
    VALCOUNT=2739555
WHERE COLNAME = 'L_LINENUMBER' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3',
    VALCOUNT=3867784
WHERE COLNAME = 'L_LINENUMBER' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4',
    VALCOUNT=3867784
WHERE COLNAME = 'L_LINENUMBER' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4',
    VALCOUNT=4713955
WHERE COLNAME = 'L_LINENUMBER' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5',
    VALCOUNT=4713955
WHERE COLNAME = 'L_LINENUMBER' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5',
    VALCOUNT=5368088
WHERE COLNAME = 'L_LINENUMBER' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='6',
    VALCOUNT=5437102
WHERE COLNAME = 'L_LINENUMBER' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='6',
    VALCOUNT=5791173
WHERE COLNAME = 'L_LINENUMBER' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='7',
    VALCOUNT=5860187
WHERE COLNAME = 'L_LINENUMBER' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='7',
    VALCOUNT=6001215
WHERE COLNAME = 'L_LINENUMBER' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.00000000000000E+001',
    VALCOUNT=165033
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+3.30000000000000E+001',
    VALCOUNT=153031
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.10000000000000E+001',
    VALCOUNT=150030
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+4.90000000000000E+001',
    VALCOUNT=147030
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+3.70000000000000E+001',
    VALCOUNT=144029
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.80000000000000E+001',
    VALCOUNT=144029
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.30000000000000E+001',
    VALCOUNT=144029
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.90000000000000E+001',
    VALCOUNT=144029
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+3.00000000000000E+001',
    VALCOUNT=138028
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+4.00000000000000E+001',
    VALCOUNT=132027
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.00000000000000E+000',
    VALCOUNT=114023
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+3.00000000000000E+000',
    VALCOUNT=354072
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+6.00000000000000E+000',
    VALCOUNT=648131
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+9.00000000000000E+000',
    VALCOUNT=1014205
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.10000000000000E+001',
    VALCOUNT=1329269
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.40000000000000E+001',
    VALCOUNT=1668338
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.60000000000000E+001',
    VALCOUNT=1914388
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.90000000000000E+001',
    VALCOUNT=2310468
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.10000000000000E+001',
    VALCOUNT=2568520
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.40000000000000E+001',
    VALCOUNT=2952598
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.60000000000000E+001',
    VALCOUNT=3183645
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.90000000000000E+001',
    VALCOUNT=3573724
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+3.10000000000000E+001',
    VALCOUNT=3801770
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+3.40000000000000E+001',
    VALCOUNT=4188849
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+3.70000000000000E+001',
    VALCOUNT=4536919
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+3.90000000000000E+001',
    VALCOUNT=4767966
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+4.20000000000000E+001',
    VALCOUNT=5134040
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+4.40000000000000E+001',
    VALCOUNT=5371088
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+4.80000000000000E+001',
    VALCOUNT=5749165
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+5.00000000000000E+001',
    VALCOUNT=6001215
WHERE COLNAME = 'L_QUANTITY' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+7.14982500000000E+004',
    VALCOUNT=6001
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.01510000000000E+003',
    VALCOUNT=3001
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.09213000000000E+003',
    VALCOUNT=3001
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.10004000000000E+003',
    VALCOUNT=3001
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.10117000000000E+003',
    VALCOUNT=3001
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.10413000000000E+003',
    VALCOUNT=3001
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.12917000000000E+003',
    VALCOUNT=3001
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.15013000000000E+003',
    VALCOUNT=3001
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.16307000000000E+003',
    VALCOUNT=3001
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.17514000000000E+003',
    VALCOUNT=3001
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.00404000000000E+003',
    VALCOUNT=3001
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+4.79883000000000E+003',
    VALCOUNT=315064
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+9.17728000000000E+003',
    VALCOUNT=633128
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.24866900000000E+004',
    VALCOUNT=948192
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.65672900000000E+004',
    VALCOUNT=1263256
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.96681500000000E+004',
    VALCOUNT=1578320
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.36382400000000E+004',
    VALCOUNT=1896384
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.70840000000000E+004',
    VALCOUNT=2211448
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+3.08167500000000E+004',
    VALCOUNT=2526512
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+3.42915000000000E+004',
    VALCOUNT=2841576
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+3.73128000000000E+004',
    VALCOUNT=3159640
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+4.11785400000000E+004',
    VALCOUNT=3474704
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+4.50710400000000E+004',
    VALCOUNT=3789768
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+4.92195200000000E+004',
    VALCOUNT=4104832
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+5.28524000000000E+004',
    VALCOUNT=4422896
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+5.77539200000000E+004',
    VALCOUNT=4737960
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+6.28786000000000E+004',
    VALCOUNT=5053024
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+6.95535400000000E+004',
    VALCOUNT=5368088
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+7.73992000000000E+004',
    VALCOUNT=5686152
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.03549000000000E+005',
    VALCOUNT=6001215
WHERE COLNAME = 'L_EXTENDEDPRICE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.00000000000000E-002',
    VALCOUNT=597121
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+8.00000000000000E-002',
    VALCOUNT=585119
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+6.00000000000000E-002',
    VALCOUNT=573116
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.00000000000000E-001',
    VALCOUNT=564114
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+3.00000000000000E-002',
    VALCOUNT=546111
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+5.00000000000000E-002',
    VALCOUNT=543110
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+7.00000000000000E-002',
    VALCOUNT=531108
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+4.00000000000000E-002',
    VALCOUNT=528107
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.00000000000000E-002',
    VALCOUNT=516105
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+0.00000000000000E+000',
    VALCOUNT=510103
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+0.00000000000000E+000',
    VALCOUNT=0
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+0.00000000000000E+000',
    VALCOUNT=510103
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.00000000000000E-002',
    VALCOUNT=510103
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.00000000000000E-002',
    VALCOUNT=1107224
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.00000000000000E-002',
    VALCOUNT=1107224
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.00000000000000E-002',
    VALCOUNT=1623329
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+3.00000000000000E-002',
    VALCOUNT=2169439
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+4.00000000000000E-002',
    VALCOUNT=2169439
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+4.00000000000000E-002',
    VALCOUNT=2697546
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+5.00000000000000E-002',
    VALCOUNT=2697546
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+5.00000000000000E-002',
    VALCOUNT=3240657
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+6.00000000000000E-002',
    VALCOUNT=3240657
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+6.00000000000000E-002',
    VALCOUNT=3813773
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+8.00000000000000E-002',
    VALCOUNT=4344880
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+8.00000000000000E-002',
    VALCOUNT=4929999
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+9.00000000000000E-002',
    VALCOUNT=4929999
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+9.00000000000000E-002',
    VALCOUNT=5437102
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.00000000000000E-001',
    VALCOUNT=5455105
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.00000000000000E-001',
    VALCOUNT=6001215
WHERE COLNAME = 'L_DISCOUNT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+4.00000000000000E-002',
    VALCOUNT=681138
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+5.00000000000000E-002',
    VALCOUNT=681138
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+8.00000000000000E-002',
    VALCOUNT=678137
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.00000000000000E-002',
    VALCOUNT=675137
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+7.00000000000000E-002',
    VALCOUNT=675137
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+0.00000000000000E+000',
    VALCOUNT=669136
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+3.00000000000000E-002',
    VALCOUNT=663134
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.00000000000000E-002',
    VALCOUNT=642130
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+6.00000000000000E-002',
    VALCOUNT=636129
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+0.00000000000000E+000',
    VALCOUNT=0
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+0.00000000000000E+000',
    VALCOUNT=669136
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.00000000000000E-002',
    VALCOUNT=669136
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.00000000000000E-002',
    VALCOUNT=1344272
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.00000000000000E-002',
    VALCOUNT=1344272
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.00000000000000E-002',
    VALCOUNT=1986402
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+3.00000000000000E-002',
    VALCOUNT=1986402
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+3.00000000000000E-002',
    VALCOUNT=2649537
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+4.00000000000000E-002',
    VALCOUNT=2649537
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+4.00000000000000E-002',
    VALCOUNT=3330675
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+5.00000000000000E-002',
    VALCOUNT=3330675
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+5.00000000000000E-002',
    VALCOUNT=4011813
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+6.00000000000000E-002',
    VALCOUNT=4011813
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+6.00000000000000E-002',
    VALCOUNT=4647942
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+7.00000000000000E-002',
    VALCOUNT=4647942
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+7.00000000000000E-002',
    VALCOUNT=5323078
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+8.00000000000000E-002',
    VALCOUNT=5323078
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+8.00000000000000E-002',
    VALCOUNT=6001215
WHERE COLNAME = 'L_TAX' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'L_RETURNFLAG' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='N',
    VALCOUNT=3054619
WHERE COLNAME = 'L_RETURNFLAG' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='A',
    VALCOUNT=1485301
WHERE COLNAME = 'L_RETURNFLAG' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='R',
    VALCOUNT=1461296
WHERE COLNAME = 'L_RETURNFLAG' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='A',
    VALCOUNT=0
WHERE COLNAME = 'L_RETURNFLAG' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='A',
    VALCOUNT=1485301
WHERE COLNAME = 'L_RETURNFLAG' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='N',
    VALCOUNT=1485301
WHERE COLNAME = 'L_RETURNFLAG' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='N',
    VALCOUNT=4539920
WHERE COLNAME = 'L_RETURNFLAG' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='R',
    VALCOUNT=4539920
WHERE COLNAME = 'L_RETURNFLAG' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='R',
    VALCOUNT=6001215
WHERE COLNAME = 'L_RETURNFLAG' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'L_LINESTATUS' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='O',
    VALCOUNT=3021612
WHERE COLNAME = 'L_LINESTATUS' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='F',
    VALCOUNT=2979604
WHERE COLNAME = 'L_LINESTATUS' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='F',
    VALCOUNT=0
WHERE COLNAME = 'L_LINESTATUS' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='F',
    VALCOUNT=2979604
WHERE COLNAME = 'L_LINESTATUS' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='O',
    VALCOUNT=2979604
WHERE COLNAME = 'L_LINESTATUS' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='O',
    VALCOUNT=6001215
WHERE COLNAME = 'L_LINESTATUS' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1993-03-31',
    VALCOUNT=12002
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1993-10-12',
    VALCOUNT=12002
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1994-05-26',
    VALCOUNT=12002
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1992-07-09',
    VALCOUNT=12002
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1994-05-27',
    VALCOUNT=12002
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1994-09-06',
    VALCOUNT=12002
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1994-12-05',
    VALCOUNT=12002
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1994-12-15',
    VALCOUNT=12002
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1995-04-07',
    VALCOUNT=12002
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1992-10-02',
    VALCOUNT=12002
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1992-01-28',
    VALCOUNT=3001
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1992-07-14',
    VALCOUNT=315064
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1992-11-21',
    VALCOUNT=636129
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1993-04-02',
    VALCOUNT=951193
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1993-08-07',
    VALCOUNT=1263256
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1993-12-17',
    VALCOUNT=1584321
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1994-05-23',
    VALCOUNT=1896384
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1994-09-24',
    VALCOUNT=2211448
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1995-01-09',
    VALCOUNT=2526512
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1995-04-22',
    VALCOUNT=2841576
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1995-09-04',
    VALCOUNT=3159640
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1996-01-01',
    VALCOUNT=3474704
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1996-04-25',
    VALCOUNT=3795769
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1996-08-27',
    VALCOUNT=4104832
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1997-01-18',
    VALCOUNT=4422896
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1997-05-27',
    VALCOUNT=4737960
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1997-09-20',
    VALCOUNT=5053024
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1998-01-22',
    VALCOUNT=5374089
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1998-05-28',
    VALCOUNT=5689153
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1998-11-23',
    VALCOUNT=6001215
WHERE COLNAME = 'L_SHIPDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1998-01-10',
    VALCOUNT=15003
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1995-07-30',
    VALCOUNT=15003
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1993-03-01',
    VALCOUNT=12002
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1993-05-23',
    VALCOUNT=12002
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1993-07-20',
    VALCOUNT=12002
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1993-11-09',
    VALCOUNT=12002
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1995-02-17',
    VALCOUNT=12002
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1992-07-29',
    VALCOUNT=12002
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1995-05-28',
    VALCOUNT=12002
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1995-11-24',
    VALCOUNT=12002
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1992-02-17',
    VALCOUNT=3001
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1992-07-14',
    VALCOUNT=318064
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1992-11-15',
    VALCOUNT=633128
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1993-03-24',
    VALCOUNT=951193
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1993-08-01',
    VALCOUNT=1263256
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1993-12-14',
    VALCOUNT=1578320
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1994-05-19',
    VALCOUNT=1896384
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1994-09-29',
    VALCOUNT=2211448
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1995-01-07',
    VALCOUNT=2526512
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1995-05-01',
    VALCOUNT=2844576
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1995-08-25',
    VALCOUNT=3159640
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1995-12-29',
    VALCOUNT=3474704
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1996-04-22',
    VALCOUNT=3792769
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1996-08-30',
    VALCOUNT=4107832
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1997-01-07',
    VALCOUNT=4422896
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1997-05-25',
    VALCOUNT=4737960
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1997-09-14',
    VALCOUNT=5056024
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1998-01-24',
    VALCOUNT=5368088
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1998-06-02',
    VALCOUNT=5686152
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1998-10-13',
    VALCOUNT=6001215
WHERE COLNAME = 'L_COMMITDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1994-12-13',
    VALCOUNT=15003
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1992-07-12',
    VALCOUNT=15003
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1993-10-24',
    VALCOUNT=15003
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1993-02-03',
    VALCOUNT=12002
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1993-07-11',
    VALCOUNT=12002
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1992-07-27',
    VALCOUNT=12002
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1992-07-31',
    VALCOUNT=12002
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1993-08-02',
    VALCOUNT=12002
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1993-09-08',
    VALCOUNT=12002
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1992-10-11',
    VALCOUNT=12002
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1992-02-13',
    VALCOUNT=3001
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1992-08-02',
    VALCOUNT=318064
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1992-12-12',
    VALCOUNT=633128
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1993-04-19',
    VALCOUNT=948192
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1993-08-23',
    VALCOUNT=1263256
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1994-01-04',
    VALCOUNT=1581320
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1994-06-06',
    VALCOUNT=1905386
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1994-10-08',
    VALCOUNT=2211448
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1995-01-23',
    VALCOUNT=2526512
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1995-05-09',
    VALCOUNT=2841576
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1995-09-20',
    VALCOUNT=3159640
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1996-01-15',
    VALCOUNT=3474704
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1996-05-11',
    VALCOUNT=3789768
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1996-09-16',
    VALCOUNT=4107832
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1997-01-30',
    VALCOUNT=4422896
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1997-06-12',
    VALCOUNT=4740961
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1997-10-06',
    VALCOUNT=5053024
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1998-02-06',
    VALCOUNT=5368088
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1998-06-15',
    VALCOUNT=5689153
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1998-12-16',
    VALCOUNT=6001215
WHERE COLNAME = 'L_RECEIPTDATE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'L_SHIPINSTRUCT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='TAKE BACK RETURN         ',
    VALCOUNT=1554315
WHERE COLNAME = 'L_SHIPINSTRUCT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='DELIVER IN PERSON        ',
    VALCOUNT=1539312
WHERE COLNAME = 'L_SHIPINSTRUCT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='COLLECT COD              ',
    VALCOUNT=1461296
WHERE COLNAME = 'L_SHIPINSTRUCT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='NONE                     ',
    VALCOUNT=1446293
WHERE COLNAME = 'L_SHIPINSTRUCT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='COLLECT COD              ',
    VALCOUNT=0
WHERE COLNAME = 'L_SHIPINSTRUCT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='COLLECT COD              ',
    VALCOUNT=1461296
WHERE COLNAME = 'L_SHIPINSTRUCT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='DELIVER IN PERSON        ',
    VALCOUNT=1461296
WHERE COLNAME = 'L_SHIPINSTRUCT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='DELIVER IN PERSON        ',
    VALCOUNT=3000608
WHERE COLNAME = 'L_SHIPINSTRUCT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='NONE                     ',
    VALCOUNT=3000608
WHERE COLNAME = 'L_SHIPINSTRUCT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='NONE                     ',
    VALCOUNT=4446901
WHERE COLNAME = 'L_SHIPINSTRUCT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='TAKE BACK RETURN         ',
    VALCOUNT=4446901
WHERE COLNAME = 'L_SHIPINSTRUCT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='TAKE BACK RETURN         ',
    VALCOUNT=6001215
WHERE COLNAME = 'L_SHIPINSTRUCT' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'L_SHIPMODE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='FOB       ',
    VALCOUNT=978198
WHERE COLNAME = 'L_SHIPMODE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='AIR       ',
    VALCOUNT=894181
WHERE COLNAME = 'L_SHIPMODE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='MAIL      ',
    VALCOUNT=861174
WHERE COLNAME = 'L_SHIPMODE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='REG AIR   ',
    VALCOUNT=840170
WHERE COLNAME = 'L_SHIPMODE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='SHIP      ',
    VALCOUNT=831168
WHERE COLNAME = 'L_SHIPMODE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='TRUCK     ',
    VALCOUNT=813165
WHERE COLNAME = 'L_SHIPMODE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='RAIL      ',
    VALCOUNT=783159
WHERE COLNAME = 'L_SHIPMODE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='AIR       ',
    VALCOUNT=0
WHERE COLNAME = 'L_SHIPMODE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='AIR       ',
    VALCOUNT=894181
WHERE COLNAME = 'L_SHIPMODE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='FOB       ',
    VALCOUNT=894181
WHERE COLNAME = 'L_SHIPMODE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='FOB       ',
    VALCOUNT=1872379
WHERE COLNAME = 'L_SHIPMODE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='MAIL      ',
    VALCOUNT=1872379
WHERE COLNAME = 'L_SHIPMODE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='MAIL      ',
    VALCOUNT=2733554
WHERE COLNAME = 'L_SHIPMODE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='RAIL      ',
    VALCOUNT=2733554
WHERE COLNAME = 'L_SHIPMODE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='RAIL      ',
    VALCOUNT=3516713
WHERE COLNAME = 'L_SHIPMODE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='REG AIR   ',
    VALCOUNT=3516713
WHERE COLNAME = 'L_SHIPMODE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='REG AIR   ',
    VALCOUNT=4356883
WHERE COLNAME = 'L_SHIPMODE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='SHIP      ',
    VALCOUNT=4356883
WHERE COLNAME = 'L_SHIPMODE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='SHIP      ',
    VALCOUNT=5188051
WHERE COLNAME = 'L_SHIPMODE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='TRUCK     ',
    VALCOUNT=5188051
WHERE COLNAME = 'L_SHIPMODE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='TRUCK     ',
    VALCOUNT=6001215
WHERE COLNAME = 'L_SHIPMODE' AND TABNAME = 'LINEITEM'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

COMMIT WORK;

UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1.000000,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1.000000,
    AVERAGE_SEQUENCE_FETCH_GAP=-1.000000,
    AVERAGE_SEQUENCE_PAGES=-1.000000,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1.000000,
    AVERAGE_RANDOM_PAGES=-1.000000,
    AVERAGE_RANDOM_FETCH_PAGES=-1.000000,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE INDNAME = 'L_OK' AND INDSCHEMA = 'TPCD    '
      AND TABNAME = 'LINEITEM' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1.000000,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1.000000,
    AVERAGE_SEQUENCE_FETCH_GAP=-1.000000,
    AVERAGE_SEQUENCE_PAGES=-1.000000,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1.000000,
    AVERAGE_RANDOM_PAGES=-1.000000,
    AVERAGE_RANDOM_FETCH_PAGES=-1.000000,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE INDNAME = 'L_PK' AND INDSCHEMA = 'TPCD    '
      AND TABNAME = 'LINEITEM' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1.000000,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1.000000,
    AVERAGE_SEQUENCE_FETCH_GAP=-1.000000,
    AVERAGE_SEQUENCE_PAGES=-1.000000,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1.000000,
    AVERAGE_RANDOM_PAGES=-1.000000,
    AVERAGE_RANDOM_FETCH_PAGES=-1.000000,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE INDNAME = 'L_PK_SK' AND INDSCHEMA = 'TPCD    '
      AND TABNAME = 'LINEITEM' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1.000000,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1.000000,
    AVERAGE_SEQUENCE_FETCH_GAP=-1.000000,
    AVERAGE_SEQUENCE_PAGES=-1.000000,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1.000000,
    AVERAGE_RANDOM_PAGES=-1.000000,
    AVERAGE_RANDOM_FETCH_PAGES=-1.000000,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE INDNAME = 'L_RD' AND INDSCHEMA = 'TPCD    '
      AND TABNAME = 'LINEITEM' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1.000000,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1.000000,
    AVERAGE_SEQUENCE_FETCH_GAP=-1.000000,
    AVERAGE_SEQUENCE_PAGES=-1.000000,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1.000000,
    AVERAGE_RANDOM_PAGES=-1.000000,
    AVERAGE_RANDOM_FETCH_PAGES=-1.000000,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE INDNAME = 'L_SD' AND INDSCHEMA = 'TPCD    '
      AND TABNAME = 'LINEITEM' AND TABSCHEMA = 'TPCD    ';

COMMIT WORK;

-- Mimic table ORDERS 

RUNSTATS ON TABLE "TPCD    "."ORDERS" WITH DISTRIBUTION ON COLUMNS (
O_CLERK NUM_FREQVALUES 10 NUM_QUANTILES 20,
O_CUSTKEY NUM_FREQVALUES 10 NUM_QUANTILES 20,
O_ORDERDATE NUM_FREQVALUES 10 NUM_QUANTILES 20,
O_ORDERKEY NUM_FREQVALUES 10 NUM_QUANTILES 20,
O_ORDERPRIORITY NUM_FREQVALUES 10 NUM_QUANTILES 20,
O_ORDERSTATUS NUM_FREQVALUES 10 NUM_QUANTILES 20,
O_SHIPPRIORITY NUM_FREQVALUES 10 NUM_QUANTILES 20,
O_TOTALPRICE NUM_FREQVALUES 10 NUM_QUANTILES 20)
; 

UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    PAGE_FETCH_PAIRS='',
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1,
    AVERAGE_SEQUENCE_FETCH_GAP=-1,
    AVERAGE_SEQUENCE_PAGES=-1,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1,
    AVERAGE_RANDOM_PAGES=-1,
    AVERAGE_RANDOM_FETCH_PAGES=-1,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE TABNAME = 'ORDERS' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=-1,
    NUMNULLS=-1
WHERE TABNAME = 'ORDERS' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.TABLES
SET CARD=1500000,
    NPAGES=25876,
    FPAGES=25888,
    OVERFLOW=0,
    ACTIVE_BLOCKS=0
WHERE TABNAME = 'ORDERS' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=1500000,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='5999975',
    LOW2KEY='2',
    AVGCOLLEN=8
WHERE COLNAME = 'O_ORDERKEY' AND TABNAME = 'ORDERS' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=104448,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='149998',
    LOW2KEY='2',
    AVGCOLLEN=4
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=3,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    AVGCOLLEN=1
WHERE COLNAME = 'O_ORDERSTATUS' AND TABNAME = 'ORDERS' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=1500000,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='+5.44089090000000E+005',
    LOW2KEY='+8.66900000000000E+002',
    AVGCOLLEN=8
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=2528,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='1998-08-01',
    LOW2KEY='1992-01-02',
    AVGCOLLEN=4
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=5,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='4-NOT SPECIFIED',
    LOW2KEY='2-HIGH         ',
    AVGCOLLEN=15
WHERE COLNAME = 'O_ORDERPRIORITY' AND TABNAME = 'ORDERS' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=1008,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY=X'436C65726B23303030303030393939',
    LOW2KEY=X'436C65726B23303030303030303032',
    AVGCOLLEN=15
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=1,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    AVGCOLLEN=4
WHERE COLNAME = 'O_SHIPPRIORITY' AND TABNAME = 'ORDERS' AND TABSCHEMA = 'TPCD    ';

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'O_ORDERKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2657',
    VALCOUNT=750
WHERE COLNAME = 'O_ORDERKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='305957',
    VALCOUNT=78750
WHERE COLNAME = 'O_ORDERKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='575622',
    VALCOUNT=158250
WHERE COLNAME = 'O_ORDERKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='903079',
    VALCOUNT=237000
WHERE COLNAME = 'O_ORDERKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1220354',
    VALCOUNT=315750
WHERE COLNAME = 'O_ORDERKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1497287',
    VALCOUNT=394500
WHERE COLNAME = 'O_ORDERKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1789185',
    VALCOUNT=474000
WHERE COLNAME = 'O_ORDERKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2058628',
    VALCOUNT=552750
WHERE COLNAME = 'O_ORDERKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2413603',
    VALCOUNT=631500
WHERE COLNAME = 'O_ORDERKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2736449',
    VALCOUNT=710250
WHERE COLNAME = 'O_ORDERKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3069415',
    VALCOUNT=789750
WHERE COLNAME = 'O_ORDERKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3401922',
    VALCOUNT=868500
WHERE COLNAME = 'O_ORDERKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3726658',
    VALCOUNT=947250
WHERE COLNAME = 'O_ORDERKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4084070',
    VALCOUNT=1026000
WHERE COLNAME = 'O_ORDERKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4391111',
    VALCOUNT=1105500
WHERE COLNAME = 'O_ORDERKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4725120',
    VALCOUNT=1184250
WHERE COLNAME = 'O_ORDERKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5079111',
    VALCOUNT=1263000
WHERE COLNAME = 'O_ORDERKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5423527',
    VALCOUNT=1341750
WHERE COLNAME = 'O_ORDERKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5709286',
    VALCOUNT=1421250
WHERE COLNAME = 'O_ORDERKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5999590',
    VALCOUNT=1500000
WHERE COLNAME = 'O_ORDERKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5516',
    VALCOUNT=1500
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='23531',
    VALCOUNT=1500
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='29023',
    VALCOUNT=1500
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='33064',
    VALCOUNT=1500
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='36833',
    VALCOUNT=1500
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='40918',
    VALCOUNT=1500
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='47890',
    VALCOUNT=1500
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='56021',
    VALCOUNT=1500
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='60314',
    VALCOUNT=1500
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='65236',
    VALCOUNT=1500
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='58',
    VALCOUNT=750
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='8207',
    VALCOUNT=78750
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='15976',
    VALCOUNT=158250
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='23764',
    VALCOUNT=237000
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='32470',
    VALCOUNT=315750
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='39602',
    VALCOUNT=394500
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='47089',
    VALCOUNT=474000
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='55294',
    VALCOUNT=552750
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='64559',
    VALCOUNT=631500
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='70879',
    VALCOUNT=710250
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='78370',
    VALCOUNT=789750
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='87019',
    VALCOUNT=868500
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='95063',
    VALCOUNT=947250
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='103511',
    VALCOUNT=1026000
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='111415',
    VALCOUNT=1105500
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='119596',
    VALCOUNT=1184250
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='126784',
    VALCOUNT=1263000
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='134860',
    VALCOUNT=1341750
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='141415',
    VALCOUNT=1421250
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='149752',
    VALCOUNT=1500000
WHERE COLNAME = 'O_CUSTKEY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'O_ORDERSTATUS' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='F',
    VALCOUNT=761250
WHERE COLNAME = 'O_ORDERSTATUS' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='O',
    VALCOUNT=708750
WHERE COLNAME = 'O_ORDERSTATUS' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='P',
    VALCOUNT=30000
WHERE COLNAME = 'O_ORDERSTATUS' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='F',
    VALCOUNT=0
WHERE COLNAME = 'O_ORDERSTATUS' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='F',
    VALCOUNT=761250
WHERE COLNAME = 'O_ORDERSTATUS' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='O',
    VALCOUNT=761250
WHERE COLNAME = 'O_ORDERSTATUS' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='O',
    VALCOUNT=1470000
WHERE COLNAME = 'O_ORDERSTATUS' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='P',
    VALCOUNT=1472250
WHERE COLNAME = 'O_ORDERSTATUS' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='P',
    VALCOUNT=1500000
WHERE COLNAME = 'O_ORDERSTATUS' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+9.47690000000000E+002',
    VALCOUNT=750
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.07621000000000E+003',
    VALCOUNT=750
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.28572000000000E+003',
    VALCOUNT=750
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.36537000000000E+003',
    VALCOUNT=750
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.83208000000000E+003',
    VALCOUNT=750
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.98683000000000E+003',
    VALCOUNT=750
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.27034000000000E+003',
    VALCOUNT=750
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.37512000000000E+003',
    VALCOUNT=750
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.41565000000000E+003',
    VALCOUNT=750
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.45781000000000E+003',
    VALCOUNT=750
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+9.47690000000000E+002',
    VALCOUNT=750
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.35059100000000E+004',
    VALCOUNT=78750
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+4.16826700000000E+004',
    VALCOUNT=158250
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+5.68304000000000E+004',
    VALCOUNT=237000
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+6.79430900000000E+004',
    VALCOUNT=315750
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+8.16504300000000E+004',
    VALCOUNT=394500
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+9.82590000000000E+004',
    VALCOUNT=474000
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.13352830000000E+005',
    VALCOUNT=552750
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.27887800000000E+005',
    VALCOUNT=631500
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.42105150000000E+005',
    VALCOUNT=710250
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.56278120000000E+005',
    VALCOUNT=789750
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.71505040000000E+005',
    VALCOUNT=868500
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.85463690000000E+005',
    VALCOUNT=947250
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.99537290000000E+005',
    VALCOUNT=1026000
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.14698520000000E+005',
    VALCOUNT=1105500
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.31636210000000E+005',
    VALCOUNT=1184250
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.48020440000000E+005',
    VALCOUNT=1263000
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.69722650000000E+005',
    VALCOUNT=1341750
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+3.03456860000000E+005',
    VALCOUNT=1421250
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+4.42709490000000E+005',
    VALCOUNT=1500000
WHERE COLNAME = 'O_TOTALPRICE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1994-10-25',
    VALCOUNT=6000
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1997-06-24',
    VALCOUNT=4500
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1994-06-08',
    VALCOUNT=3750
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1995-10-24',
    VALCOUNT=3750
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1995-11-11',
    VALCOUNT=3750
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1998-06-04',
    VALCOUNT=3750
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1994-06-04',
    VALCOUNT=3750
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1994-01-29',
    VALCOUNT=3000
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1994-02-14',
    VALCOUNT=3000
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1994-04-19',
    VALCOUNT=3000
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1992-01-03',
    VALCOUNT=1500
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1992-04-30',
    VALCOUNT=80250
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1992-08-31',
    VALCOUNT=158250
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1992-12-12',
    VALCOUNT=237750
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1993-05-02',
    VALCOUNT=316500
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1993-09-02',
    VALCOUNT=395250
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1993-12-25',
    VALCOUNT=474000
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1994-04-19',
    VALCOUNT=553500
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1994-08-18',
    VALCOUNT=632250
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1994-12-11',
    VALCOUNT=711000
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1995-05-12',
    VALCOUNT=789750
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1995-09-24',
    VALCOUNT=868500
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1996-01-17',
    VALCOUNT=948000
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1996-06-04',
    VALCOUNT=1026000
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1996-10-04',
    VALCOUNT=1106250
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1997-02-18',
    VALCOUNT=1185000
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1997-06-17',
    VALCOUNT=1263000
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1997-11-01',
    VALCOUNT=1341750
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1998-03-24',
    VALCOUNT=1421250
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1998-08-01',
    VALCOUNT=1500000
WHERE COLNAME = 'O_ORDERDATE' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'O_ORDERPRIORITY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'352D4C4F5720202020202020202020',
    VALCOUNT=319500
WHERE COLNAME = 'O_ORDERPRIORITY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'322D48494748202020202020202020',
    VALCOUNT=301500
WHERE COLNAME = 'O_ORDERPRIORITY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'312D555247454E5420202020202020',
    VALCOUNT=300750
WHERE COLNAME = 'O_ORDERPRIORITY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'342D4E4F5420535045434946494544',
    VALCOUNT=291000
WHERE COLNAME = 'O_ORDERPRIORITY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'332D4D454449554D20202020202020',
    VALCOUNT=287250
WHERE COLNAME = 'O_ORDERPRIORITY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'312D555247454E5420202020202020',
    VALCOUNT=0
WHERE COLNAME = 'O_ORDERPRIORITY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'312D555247454E5420202020202020',
    VALCOUNT=300750
WHERE COLNAME = 'O_ORDERPRIORITY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'322D48494748202020202020202020',
    VALCOUNT=300750
WHERE COLNAME = 'O_ORDERPRIORITY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'322D48494748202020202020202020',
    VALCOUNT=602250
WHERE COLNAME = 'O_ORDERPRIORITY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'332D4D454449554D20202020202020',
    VALCOUNT=602250
WHERE COLNAME = 'O_ORDERPRIORITY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'332D4D454449554D20202020202020',
    VALCOUNT=889500
WHERE COLNAME = 'O_ORDERPRIORITY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'342D4E4F5420535045434946494544',
    VALCOUNT=889500
WHERE COLNAME = 'O_ORDERPRIORITY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'342D4E4F5420535045434946494544',
    VALCOUNT=1180500
WHERE COLNAME = 'O_ORDERPRIORITY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'352D4C4F5720202020202020202020',
    VALCOUNT=1180500
WHERE COLNAME = 'O_ORDERPRIORITY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'352D4C4F5720202020202020202020',
    VALCOUNT=1500000
WHERE COLNAME = 'O_ORDERPRIORITY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030363235',
    VALCOUNT=5250
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030373839',
    VALCOUNT=5250
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030313631',
    VALCOUNT=5250
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030343531',
    VALCOUNT=5250
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030333633',
    VALCOUNT=4500
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030313536',
    VALCOUNT=4500
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030333836',
    VALCOUNT=4500
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030333930',
    VALCOUNT=4500
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030333939',
    VALCOUNT=4500
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030353531',
    VALCOUNT=4500
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030303031',
    VALCOUNT=1500
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030303536',
    VALCOUNT=80250
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030313037',
    VALCOUNT=159750
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030313538',
    VALCOUNT=237750
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030323033',
    VALCOUNT=317250
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030323539',
    VALCOUNT=394500
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030333137',
    VALCOUNT=474000
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030333634',
    VALCOUNT=553500
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030343131',
    VALCOUNT=631500
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030343632',
    VALCOUNT=712500
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030353231',
    VALCOUNT=791250
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030353734',
    VALCOUNT=871500
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030363233',
    VALCOUNT=948000
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030363734',
    VALCOUNT=1026750
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030373233',
    VALCOUNT=1105500
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030373835',
    VALCOUNT=1185750
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030383333',
    VALCOUNT=1263750
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030383839',
    VALCOUNT=1343250
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303030393433',
    VALCOUNT=1421250
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'436C65726B23303030303031303030',
    VALCOUNT=1500000
WHERE COLNAME = 'O_CLERK' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'O_SHIPPRIORITY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='0',
    VALCOUNT=1500000
WHERE COLNAME = 'O_SHIPPRIORITY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='0',
    VALCOUNT=0
WHERE COLNAME = 'O_SHIPPRIORITY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='0',
    VALCOUNT=1500000
WHERE COLNAME = 'O_SHIPPRIORITY' AND TABNAME = 'ORDERS'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

COMMIT WORK;

UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1.000000,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1.000000,
    AVERAGE_SEQUENCE_FETCH_GAP=-1.000000,
    AVERAGE_SEQUENCE_PAGES=-1.000000,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1.000000,
    AVERAGE_RANDOM_PAGES=-1.000000,
    AVERAGE_RANDOM_FETCH_PAGES=-1.000000,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE INDNAME = 'O_CK' AND INDSCHEMA = 'TPCD    '
      AND TABNAME = 'ORDERS' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1.000000,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1.000000,
    AVERAGE_SEQUENCE_FETCH_GAP=-1.000000,
    AVERAGE_SEQUENCE_PAGES=-1.000000,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1.000000,
    AVERAGE_RANDOM_PAGES=-1.000000,
    AVERAGE_RANDOM_FETCH_PAGES=-1.000000,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE INDNAME = 'O_OD' AND INDSCHEMA = 'TPCD    '
      AND TABNAME = 'ORDERS' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1.000000,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1.000000,
    AVERAGE_SEQUENCE_FETCH_GAP=-1.000000,
    AVERAGE_SEQUENCE_PAGES=-1.000000,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1.000000,
    AVERAGE_RANDOM_PAGES=-1.000000,
    AVERAGE_RANDOM_FETCH_PAGES=-1.000000,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE INDNAME = 'O_OK' AND INDSCHEMA = 'TPCD    '
      AND TABNAME = 'ORDERS' AND TABSCHEMA = 'TPCD    ';

COMMIT WORK;

-- Mimic table SUPPLIER 

RUNSTATS ON TABLE "TPCD    "."SUPPLIER" WITH DISTRIBUTION ON COLUMNS (
S_ACCTBAL NUM_FREQVALUES 10 NUM_QUANTILES 20,
S_ADDRESS NUM_FREQVALUES 10 NUM_QUANTILES 20,
S_NAME NUM_FREQVALUES 10 NUM_QUANTILES 20,
S_NATIONKEY NUM_FREQVALUES 10 NUM_QUANTILES 20,
S_PHONE NUM_FREQVALUES 10 NUM_QUANTILES 20,
S_SUPPKEY NUM_FREQVALUES 10 NUM_QUANTILES 20)
; 

UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    PAGE_FETCH_PAIRS='',
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1,
    AVERAGE_SEQUENCE_FETCH_GAP=-1,
    AVERAGE_SEQUENCE_PAGES=-1,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1,
    AVERAGE_RANDOM_PAGES=-1,
    AVERAGE_RANDOM_FETCH_PAGES=-1,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE TABNAME = 'SUPPLIER' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=-1,
    NUMNULLS=-1
WHERE TABNAME = 'SUPPLIER' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.TABLES
SET CARD=10000,
    NPAGES=239,
    FPAGES=256,
    OVERFLOW=0,
    ACTIVE_BLOCKS=0
WHERE TABNAME = 'SUPPLIER' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=10000,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='9999',
    LOW2KEY='2',
    AVGCOLLEN=4
WHERE COLNAME = 'S_SUPPKEY' AND TABNAME = 'SUPPLIER' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=10000,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY=X'537570706C6965722330303030303939393920202020202020',
    LOW2KEY=X'537570706C6965722330303030303030303220202020202020',
    AVGCOLLEN=25
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=10000,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='ZZY 72oxhYlHGj4m44Sc',
    LOW2KEY=X'2C207151686F56796D79505365466561677643504C7162304A326272524C526E47',
    AVGCOLLEN=29
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=25,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='23',
    LOW2KEY='1',
    AVGCOLLEN=4
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=9344,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='34-998-551-1845',
    LOW2KEY='10-102-827-4527',
    AVGCOLLEN=15
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=9984,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='+9.99820000000000E+003',
    LOW2KEY='-9.97610000000000E+002',
    AVGCOLLEN=8
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER' AND TABSCHEMA = 'TPCD    ';

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'S_SUPPKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='25',
    VALCOUNT=5
WHERE COLNAME = 'S_SUPPKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='560',
    VALCOUNT=525
WHERE COLNAME = 'S_SUPPKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1086',
    VALCOUNT=1055
WHERE COLNAME = 'S_SUPPKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1681',
    VALCOUNT=1580
WHERE COLNAME = 'S_SUPPKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2190',
    VALCOUNT=2105
WHERE COLNAME = 'S_SUPPKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2718',
    VALCOUNT=2630
WHERE COLNAME = 'S_SUPPKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3197',
    VALCOUNT=3160
WHERE COLNAME = 'S_SUPPKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3691',
    VALCOUNT=3685
WHERE COLNAME = 'S_SUPPKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4229',
    VALCOUNT=4210
WHERE COLNAME = 'S_SUPPKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4772',
    VALCOUNT=4735
WHERE COLNAME = 'S_SUPPKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5244',
    VALCOUNT=5265
WHERE COLNAME = 'S_SUPPKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5908',
    VALCOUNT=5790
WHERE COLNAME = 'S_SUPPKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='6410',
    VALCOUNT=6315
WHERE COLNAME = 'S_SUPPKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='6946',
    VALCOUNT=6840
WHERE COLNAME = 'S_SUPPKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='7459',
    VALCOUNT=7370
WHERE COLNAME = 'S_SUPPKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='8023',
    VALCOUNT=7895
WHERE COLNAME = 'S_SUPPKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='8465',
    VALCOUNT=8420
WHERE COLNAME = 'S_SUPPKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='8978',
    VALCOUNT=8945
WHERE COLNAME = 'S_SUPPKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='9469',
    VALCOUNT=9475
WHERE COLNAME = 'S_SUPPKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='9992',
    VALCOUNT=10000
WHERE COLNAME = 'S_SUPPKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303030323520202020202020',
    VALCOUNT=5
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303030333320202020202020',
    VALCOUNT=5
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303030333520202020202020',
    VALCOUNT=5
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303030333720202020202020',
    VALCOUNT=5
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303030343320202020202020',
    VALCOUNT=5
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303030343420202020202020',
    VALCOUNT=5
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303030343520202020202020',
    VALCOUNT=5
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303030343820202020202020',
    VALCOUNT=5
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303030353620202020202020',
    VALCOUNT=5
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303030363120202020202020',
    VALCOUNT=5
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303030323520202020202020',
    VALCOUNT=5
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303035363020202020202020',
    VALCOUNT=525
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303130383620202020202020',
    VALCOUNT=1055
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303136383120202020202020',
    VALCOUNT=1580
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303231393020202020202020',
    VALCOUNT=2105
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303237313820202020202020',
    VALCOUNT=2630
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303331393720202020202020',
    VALCOUNT=3160
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303336393120202020202020',
    VALCOUNT=3685
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303432323920202020202020',
    VALCOUNT=4210
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303437373220202020202020',
    VALCOUNT=4735
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303532343420202020202020',
    VALCOUNT=5265
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303539303820202020202020',
    VALCOUNT=5790
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303634313020202020202020',
    VALCOUNT=6315
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303639343620202020202020',
    VALCOUNT=6840
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303734353920202020202020',
    VALCOUNT=7370
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303830323320202020202020',
    VALCOUNT=7895
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303834363520202020202020',
    VALCOUNT=8420
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303839373820202020202020',
    VALCOUNT=8945
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303934363920202020202020',
    VALCOUNT=9475
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'537570706C6965722330303030303939393220202020202020',
    VALCOUNT=10000
WHERE COLNAME = 'S_NAME' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'2C2C4D583633316D4A33622C',
    VALCOUNT=5
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'2C2C547541303346616A4A6C52436A3038304B3561594C39563731636E714C3450',
    VALCOUNT=5
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'2C30745646514D4670736863324D6F544F78525059',
    VALCOUNT=5
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'2C334D314A6549615768317043543866',
    VALCOUNT=5
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'2C34364773434C333955493369565544653873545471545079',
    VALCOUNT=5
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'2C3535366E7566417A5969613139',
    VALCOUNT=5
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'2C3642344671744F4F7346654A6544793338654E61526B4172354A6D3543584B74',
    VALCOUNT=5
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'2C36485958623475614849546D744D426A34416B35375064',
    VALCOUNT=5
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'2C414320652C7442704E774B6235784D557A656F68786C526E2C2068645A4A6F37',
    VALCOUNT=5
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'2C4362325434314D5634573461752076456844474F75794E7456733459324F32',
    VALCOUNT=5
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'2C2C4D583633316D4A33622C',
    VALCOUNT=5
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2GMsRD6rTZ6LDljKoF0ng72WJrkWCgYpH',
    VALCOUNT=525
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5tlx5Mg39QBtCSrKo9sF7KW 5q',
    VALCOUNT=1055
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='99FpBGy3asoY2Dkmd',
    VALCOUNT=1580
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'422C5A6651375A4943545164',
    VALCOUNT=2105
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='d9CnB3YuD2DtIolYrYacR5RbiW9',
    VALCOUNT=2630
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'456C317A2C4D596E5035636B70',
    VALCOUNT=3160
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'6757316970316B4753644D476A666F6A2C38567266397A65316E3163',
    VALCOUNT=3685
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'696732765978752C387877457A6C30556641347435564A',
    VALCOUNT=4210
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'6A5952486E434E6E6B353520434F4462464C7162792C6577774F5161314D',
    VALCOUNT=4735
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='liy8fz UzaIQFzpgFU6BEq5gutXjZhY',
    VALCOUNT=5265
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='MFpEZNzGjFZN0kmhy7txpsPAA4OaKJ',
    VALCOUNT=5790
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='oTr6OS8K3vXvZ',
    VALCOUNT=6315
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'71387835204146412C20397A66585256596B6E36376B62336F3041616746',
    VALCOUNT=6840
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'524D6143524638432C4333',
    VALCOUNT=7370
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='TB Vfbmpzu6uclxsSKY4Yw5AOpme',
    VALCOUNT=7895
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='vIiJoknAO qdcpB1KhlxpIe q',
    VALCOUNT=8420
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'577035712C73676F317264743339376963444671355749774C5A564E5776304A71',
    VALCOUNT=8945
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='yT8f1YCOAJuw0o',
    VALCOUNT=9475
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='ZZZwPfP9X1xcLQ',
    VALCOUNT=10000
WHERE COLNAME = 'S_ADDRESS' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='8',
    VALCOUNT=505
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2',
    VALCOUNT=445
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='17',
    VALCOUNT=445
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='12',
    VALCOUNT=445
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='16',
    VALCOUNT=440
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='0',
    VALCOUNT=430
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='11',
    VALCOUNT=420
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1',
    VALCOUNT=415
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3',
    VALCOUNT=410
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='22',
    VALCOUNT=405
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='0',
    VALCOUNT=430
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1',
    VALCOUNT=845
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2',
    VALCOUNT=1290
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='3',
    VALCOUNT=1700
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5',
    VALCOUNT=2480
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='6',
    VALCOUNT=2855
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='7',
    VALCOUNT=3220
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='8',
    VALCOUNT=3725
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='10',
    VALCOUNT=4415
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='11',
    VALCOUNT=4835
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='12',
    VALCOUNT=5280
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='14',
    VALCOUNT=6060
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='15',
    VALCOUNT=6420
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='16',
    VALCOUNT=6860
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='18',
    VALCOUNT=7695
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='19',
    VALCOUNT=8070
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='20',
    VALCOUNT=8460
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='22',
    VALCOUNT=9225
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='23',
    VALCOUNT=9630
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='24',
    VALCOUNT=10000
WHERE COLNAME = 'S_NATIONKEY' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31302D3130382D3436392D37333530',
    VALCOUNT=5
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31302D3132332D3436352D31323932',
    VALCOUNT=5
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31302D3136302D3135302D38363232',
    VALCOUNT=5
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31302D3137322D3131372D36363134',
    VALCOUNT=5
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31302D3137382D3637382D37333533',
    VALCOUNT=5
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31302D3137392D3334352D34343233',
    VALCOUNT=5
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31302D3138342D3435332D34383230',
    VALCOUNT=5
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31302D3138342D3933362D38333531',
    VALCOUNT=5
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31302D3139312D3536332D36313237',
    VALCOUNT=5
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31302D3231302D3736372D32363439',
    VALCOUNT=5
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31302D3130382D3436392D37333530',
    VALCOUNT=5
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31312D3333322D3339382D33323031',
    VALCOUNT=525
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31322D3439322D3639372D39303835',
    VALCOUNT=1055
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31332D3734362D3737392D39313830',
    VALCOUNT=1580
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31352D3131392D3239302D37393934',
    VALCOUNT=2105
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31362D3437392D3539362D36393935',
    VALCOUNT=2630
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31372D3833372D3134352D32303438',
    VALCOUNT=3160
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31382D3932342D3339372D39353733',
    VALCOUNT=3685
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'32302D3437372D3537372D31323530',
    VALCOUNT=4210
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'32312D3731332D3337352D37373035',
    VALCOUNT=4735
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'32322D3935352D3532392D35393938',
    VALCOUNT=5265
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'32342D3336302D3133332D33313139',
    VALCOUNT=5790
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'32352D3732332D3235322D39333838',
    VALCOUNT=6315
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'32362D3938302D3430332D32393635',
    VALCOUNT=6840
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'32382D3230302D3937332D33323736',
    VALCOUNT=7370
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'32392D3532312D3131362D39373637',
    VALCOUNT=7895
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'33302D3932312D3639322D37393134',
    VALCOUNT=8420
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'33322D3334322D3835372D34393438',
    VALCOUNT=8945
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'33332D3535312D3134332D36333139',
    VALCOUNT=9475
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'33342D3939382D3930302D34393131',
    VALCOUNT=10000
WHERE COLNAME = 'S_PHONE' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='-9.85370000000000E+002',
    VALCOUNT=5
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='-9.80210000000000E+002',
    VALCOUNT=5
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='-9.74420000000000E+002',
    VALCOUNT=5
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='-9.57520000000000E+002',
    VALCOUNT=5
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='-9.49380000000000E+002',
    VALCOUNT=5
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='-9.46710000000000E+002',
    VALCOUNT=5
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='-9.40610000000000E+002',
    VALCOUNT=5
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='-9.39250000000000E+002',
    VALCOUNT=5
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='-9.35130000000000E+002',
    VALCOUNT=5
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='-9.27990000000000E+002',
    VALCOUNT=5
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='-9.85370000000000E+002',
    VALCOUNT=5
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='-3.62190000000000E+002',
    VALCOUNT=525
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.64010000000000E+002',
    VALCOUNT=1055
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+8.38130000000000E+002',
    VALCOUNT=1580
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.38154000000000E+003',
    VALCOUNT=2105
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.05714000000000E+003',
    VALCOUNT=2630
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.73295000000000E+003',
    VALCOUNT=3160
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+3.28262000000000E+003',
    VALCOUNT=3685
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+3.88438000000000E+003',
    VALCOUNT=4210
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+4.48870000000000E+003',
    VALCOUNT=4735
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+5.06176000000000E+003',
    VALCOUNT=5265
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+5.60338000000000E+003',
    VALCOUNT=5790
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+6.17098000000000E+003',
    VALCOUNT=6315
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+6.77863000000000E+003',
    VALCOUNT=6840
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+7.33550000000000E+003',
    VALCOUNT=7370
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+7.87499000000000E+003',
    VALCOUNT=7895
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+8.41520000000000E+003',
    VALCOUNT=8420
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+8.93887000000000E+003',
    VALCOUNT=8945
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+9.44520000000000E+003',
    VALCOUNT=9475
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+9.99972000000000E+003',
    VALCOUNT=10000
WHERE COLNAME = 'S_ACCTBAL' AND TABNAME = 'SUPPLIER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1.000000,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1.000000,
    AVERAGE_SEQUENCE_FETCH_GAP=-1.000000,
    AVERAGE_SEQUENCE_PAGES=-1.000000,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1.000000,
    AVERAGE_RANDOM_PAGES=-1.000000,
    AVERAGE_RANDOM_FETCH_PAGES=-1.000000,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE INDNAME = 'S_NK' AND INDSCHEMA = 'TPCD    '
      AND TABNAME = 'SUPPLIER' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1.000000,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1.000000,
    AVERAGE_SEQUENCE_FETCH_GAP=-1.000000,
    AVERAGE_SEQUENCE_PAGES=-1.000000,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1.000000,
    AVERAGE_RANDOM_PAGES=-1.000000,
    AVERAGE_RANDOM_FETCH_PAGES=-1.000000,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE INDNAME = 'S_SK' AND INDSCHEMA = 'TPCD    '
      AND TABNAME = 'SUPPLIER' AND TABSCHEMA = 'TPCD    ';

COMMIT WORK;

-- Mimic table CUSTOMER 

RUNSTATS ON TABLE "TPCD    "."CUSTOMER" WITH DISTRIBUTION ON COLUMNS (
C_ACCTBAL NUM_FREQVALUES 10 NUM_QUANTILES 20,
C_ADDRESS NUM_FREQVALUES 10 NUM_QUANTILES 20,
C_CUSTKEY NUM_FREQVALUES 10 NUM_QUANTILES 20,
C_MKTSEGMENT NUM_FREQVALUES 10 NUM_QUANTILES 20,
C_NAME NUM_FREQVALUES 10 NUM_QUANTILES 20,
C_NATIONKEY NUM_FREQVALUES 10 NUM_QUANTILES 20,
C_PHONE NUM_FREQVALUES 10 NUM_QUANTILES 20)
; 

UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    PAGE_FETCH_PAIRS='',
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1,
    AVERAGE_SEQUENCE_FETCH_GAP=-1,
    AVERAGE_SEQUENCE_PAGES=-1,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1,
    AVERAGE_RANDOM_PAGES=-1,
    AVERAGE_RANDOM_FETCH_PAGES=-1,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE TABNAME = 'CUSTOMER' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=-1,
    NUMNULLS=-1
WHERE TABNAME = 'CUSTOMER' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.TABLES
SET CARD=150000,
    NPAGES=3888,
    FPAGES=3904,
    OVERFLOW=0,
    ACTIVE_BLOCKS=0
WHERE TABNAME = 'CUSTOMER' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=150000,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='149999',
    LOW2KEY='2',
    AVGCOLLEN=4
WHERE COLNAME = 'C_CUSTKEY' AND TABNAME = 'CUSTOMER' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=145408,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY=X'437573746F6D65722330303030313439393939',
    LOW2KEY=X'437573746F6D65722330303030303030303032',
    AVGCOLLEN=23
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=119808,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY=X'5A5A59366A484B782C6134764C524C6F50485257515A474F70455A58796B',
    LOW2KEY=X'2C2031445137376E52787231624B6154447553454A732C65446933655454347159',
    AVGCOLLEN=29
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=25,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='23',
    LOW2KEY='1',
    AVGCOLLEN=4
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=150000,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='34-999-618-6653',
    LOW2KEY='10-100-220-4520',
    AVGCOLLEN=15
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=119808,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='+9.99996000000000E+003',
    LOW2KEY='-9.99980000000000E+002',
    AVGCOLLEN=8
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER' AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLUMNS
SET COLCARD=5,
    NUMNULLS=0,
    SUB_COUNT=-1,
    SUB_DELIM_LENGTH=-1,
    HIGH2KEY='HOUSEHOLD ',
    LOW2KEY='BUILDING  ',
    AVGCOLLEN=10
WHERE COLNAME = 'C_MKTSEGMENT' AND TABNAME = 'CUSTOMER' AND TABSCHEMA = 'TPCD    ';

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'C_CUSTKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='183',
    VALCOUNT=75
WHERE COLNAME = 'C_CUSTKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='8445',
    VALCOUNT=7875
WHERE COLNAME = 'C_CUSTKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='16335',
    VALCOUNT=15825
WHERE COLNAME = 'C_CUSTKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='23644',
    VALCOUNT=23700
WHERE COLNAME = 'C_CUSTKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='32642',
    VALCOUNT=31575
WHERE COLNAME = 'C_CUSTKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='41978',
    VALCOUNT=39450
WHERE COLNAME = 'C_CUSTKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='49150',
    VALCOUNT=47400
WHERE COLNAME = 'C_CUSTKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='56467',
    VALCOUNT=55275
WHERE COLNAME = 'C_CUSTKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='64907',
    VALCOUNT=63150
WHERE COLNAME = 'C_CUSTKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='72530',
    VALCOUNT=71025
WHERE COLNAME = 'C_CUSTKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='80181',
    VALCOUNT=78975
WHERE COLNAME = 'C_CUSTKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='86650',
    VALCOUNT=86850
WHERE COLNAME = 'C_CUSTKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='95161',
    VALCOUNT=94725
WHERE COLNAME = 'C_CUSTKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='102906',
    VALCOUNT=102600
WHERE COLNAME = 'C_CUSTKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='110016',
    VALCOUNT=110550
WHERE COLNAME = 'C_CUSTKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='116786',
    VALCOUNT=118425
WHERE COLNAME = 'C_CUSTKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='124550',
    VALCOUNT=126300
WHERE COLNAME = 'C_CUSTKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='134055',
    VALCOUNT=134175
WHERE COLNAME = 'C_CUSTKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='141812',
    VALCOUNT=142125
WHERE COLNAME = 'C_CUSTKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='149895',
    VALCOUNT=150000
WHERE COLNAME = 'C_CUSTKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030303030313833',
    VALCOUNT=75
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030303030313934',
    VALCOUNT=75
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030303030333639',
    VALCOUNT=75
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030303030343434',
    VALCOUNT=75
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030303030353232',
    VALCOUNT=75
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030303030353534',
    VALCOUNT=75
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030303030363635',
    VALCOUNT=75
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030303030363936',
    VALCOUNT=75
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030303030373932',
    VALCOUNT=75
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030303030383038',
    VALCOUNT=75
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030303030313833',
    VALCOUNT=75
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030303038343435',
    VALCOUNT=7875
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030303136333335',
    VALCOUNT=15825
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030303233363434',
    VALCOUNT=23700
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030303332363432',
    VALCOUNT=31575
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030303431393738',
    VALCOUNT=39450
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030303439313530',
    VALCOUNT=47400
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030303536343637',
    VALCOUNT=55275
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030303634393037',
    VALCOUNT=63150
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030303732353330',
    VALCOUNT=71025
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030303830313831',
    VALCOUNT=78975
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030303836363530',
    VALCOUNT=86850
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030303935313631',
    VALCOUNT=94725
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030313032393036',
    VALCOUNT=102600
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030313130303136',
    VALCOUNT=110550
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030313136373836',
    VALCOUNT=118425
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030313234353530',
    VALCOUNT=126300
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030313334303535',
    VALCOUNT=134175
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030313431383132',
    VALCOUNT=142125
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'437573746F6D65722330303030313439383935',
    VALCOUNT=150000
WHERE COLNAME = 'C_NAME' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'2C203077346C794A534D786F52747862',
    VALCOUNT=75
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'2C316D7667447976696E7A76566F',
    VALCOUNT=75
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'2C314F6E37566661715654586D5547554862567A504B526D343233323365736F42',
    VALCOUNT=75
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'2C3255636C426D596F484445516E6520783461',
    VALCOUNT=75
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'2C3256345658757A43753571676E4171774B',
    VALCOUNT=75
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'2C33475670683779322C365876634E3248726E4C61783744703453676552704347',
    VALCOUNT=75
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'2C3547706276534A3333544C4638396865356D33576C7A51724D4A676B635172',
    VALCOUNT=75
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'2C37307A326B4F4A51516D50206C4D6C76',
    VALCOUNT=75
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'2C397A422C695767712034545869493558414C62416D305735366B4170614935',
    VALCOUNT=75
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'2C62306E4C3046384E446F52632C35437870376F585237302C',
    VALCOUNT=75
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'2C203077346C794A534D786F52747862',
    VALCOUNT=75
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='250U9VtA3oqof lvUe3wmVoYL 81p9CNG',
    VALCOUNT=7875
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5rNSJVq qX0JliAU7w',
    VALCOUNT=15825
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'3873716B7A4B566347352C6B69646B7A6933',
    VALCOUNT=23700
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='bLqTQY3wUN0FGi',
    VALCOUNT=31575
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='CmeNeORhnCzociifJZ',
    VALCOUNT=39450
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'6559646B5372693574756C44416E43684C30727A4B35327A612C624A5551',
    VALCOUNT=47400
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='FzREHV2dRyzhQr829f35iOaYkGzvvbb2d',
    VALCOUNT=55275
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='H08JEPMEUfIDkaINqcMMZvaPIvIgMtnul',
    VALCOUNT=63150
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='jbgyQPh46R4nvdOd1xBr',
    VALCOUNT=71025
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'4B5063733058734447492C46366374',
    VALCOUNT=78975
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='M0GX5u9i30NuLiulnyUfPA',
    VALCOUNT=86850
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='oiOf8XBqAINLBJXM',
    VALCOUNT=94725
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='PS8P04SR5X8LO9BzcwQp2IYpMiaXqpQI',
    VALCOUNT=102600
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='rrPd2pd93W5mrCROC2',
    VALCOUNT=110550
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'7420766D554B467258316C744D3541425A622C65433878794F567370',
    VALCOUNT=118425
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'554C3330546C5472736E422C7A74483548676E37537741764967796C503163',
    VALCOUNT=126300
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='wwaKMgmsLoXKj pJBgZdqjBVonYJw4ZDM',
    VALCOUNT=134175
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='yiMhtckRBASxH1YrHKk8fPT',
    VALCOUNT=142125
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='ZzEBkLlzHMVi P',
    VALCOUNT=150000
WHERE COLNAME = 'C_ADDRESS' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='22',
    VALCOUNT=8025
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='14',
    VALCOUNT=7050
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='18',
    VALCOUNT=6600
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='13',
    VALCOUNT=6525
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='12',
    VALCOUNT=6450
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4',
    VALCOUNT=6375
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='16',
    VALCOUNT=6375
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='24',
    VALCOUNT=6075
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1',
    VALCOUNT=6075
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5',
    VALCOUNT=6000
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='0',
    VALCOUNT=6000
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='1',
    VALCOUNT=12075
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='2',
    VALCOUNT=17700
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='4',
    VALCOUNT=29400
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='5',
    VALCOUNT=35400
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='6',
    VALCOUNT=40875
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='8',
    VALCOUNT=52725
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='9',
    VALCOUNT=58050
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='10',
    VALCOUNT=63525
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='12',
    VALCOUNT=75450
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='13',
    VALCOUNT=81975
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='14',
    VALCOUNT=89025
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='16',
    VALCOUNT=100275
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='17',
    VALCOUNT=106125
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='18',
    VALCOUNT=112725
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='19',
    VALCOUNT=118650
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='21',
    VALCOUNT=130050
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='22',
    VALCOUNT=138075
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='23',
    VALCOUNT=143925
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='24',
    VALCOUNT=150000
WHERE COLNAME = 'C_NATIONKEY' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31302D3130302D3836342D35373936',
    VALCOUNT=75
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31302D3130382D3931322D35333333',
    VALCOUNT=75
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31302D3131352D3937302D39323732',
    VALCOUNT=75
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31302D3132312D3232322D37313330',
    VALCOUNT=75
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31302D3133392D3733322D38353838',
    VALCOUNT=75
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31302D3134342D3930372D33363831',
    VALCOUNT=75
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31302D3134392D3736322D32323332',
    VALCOUNT=75
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31302D3135372D3333332D38333132',
    VALCOUNT=75
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31302D3136302D3234352D38393136',
    VALCOUNT=75
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31302D3136362D3332372D39323739',
    VALCOUNT=75
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31302D3130302D3836342D35373936',
    VALCOUNT=75
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31312D3331312D3138332D34393933',
    VALCOUNT=7875
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31322D3637342D3539382D34363231',
    VALCOUNT=15825
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31342D3137342D3930362D32393935',
    VALCOUNT=23700
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31352D3433352D3737352D34343732',
    VALCOUNT=31575
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31362D3732322D3232342D37313733',
    VALCOUNT=39450
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31382D3232302D3533362D34353938',
    VALCOUNT=47400
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'31392D3536392D3435362D37383936',
    VALCOUNT=55275
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'32302D3838392D3537352D33323239',
    VALCOUNT=63150
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'32322D3430352D3233312D38363239',
    VALCOUNT=71025
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'32332D3630382D3333342D31363232',
    VALCOUNT=78975
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'32342D3737302D3531332D31373538',
    VALCOUNT=86850
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'32362D3230342D3535332D36323733',
    VALCOUNT=94725
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'32372D3530392D3437392D38363935',
    VALCOUNT=102600
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'32382D3735342D3735352D33373630',
    VALCOUNT=110550
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'32392D3935322D3438342D33373735',
    VALCOUNT=118425
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'33312D3438302D3333362D36323134',
    VALCOUNT=126300
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'33322D3536332D3237372D31323839',
    VALCOUNT=134175
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'33332D3730382D3433342D31343036',
    VALCOUNT=142125
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE=X'33342D3939372D3639372D34333136',
    VALCOUNT=150000
WHERE COLNAME = 'C_PHONE' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+3.44933000000000E+003',
    VALCOUNT=150
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+4.46479000000000E+003',
    VALCOUNT=150
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='-9.81630000000000E+002',
    VALCOUNT=75
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='-9.75180000000000E+002',
    VALCOUNT=75
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='-9.69780000000000E+002',
    VALCOUNT=75
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='-9.68540000000000E+002',
    VALCOUNT=75
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='-9.64130000000000E+002',
    VALCOUNT=75
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='-9.63260000000000E+002',
    VALCOUNT=75
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='-9.56070000000000E+002',
    VALCOUNT=75
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='-9.48940000000000E+002',
    VALCOUNT=75
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='-9.93920000000000E+002',
    VALCOUNT=75
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='-4.91060000000000E+002',
    VALCOUNT=7875
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.79200000000000E+001',
    VALCOUNT=15825
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+5.91880000000000E+002',
    VALCOUNT=23700
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.26067000000000E+003',
    VALCOUNT=31575
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+1.81242000000000E+003',
    VALCOUNT=39450
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.34701000000000E+003',
    VALCOUNT=47400
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+2.92657000000000E+003',
    VALCOUNT=55275
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+3.56990000000000E+003',
    VALCOUNT=63150
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+4.19382000000000E+003',
    VALCOUNT=71025
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+4.79998000000000E+003',
    VALCOUNT=78975
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  11;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+5.31703000000000E+003',
    VALCOUNT=86850
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  12;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+5.83489000000000E+003',
    VALCOUNT=94725
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  13;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+6.49545000000000E+003',
    VALCOUNT=102600
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  14;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+7.03332000000000E+003',
    VALCOUNT=110550
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  15;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+7.63198000000000E+003',
    VALCOUNT=118425
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  16;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+8.26615000000000E+003',
    VALCOUNT=126300
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  17;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+8.78121000000000E+003',
    VALCOUNT=134175
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  18;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+9.44637000000000E+003',
    VALCOUNT=142125
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  19;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='+9.99773000000000E+003',
    VALCOUNT=150000
WHERE COLNAME = 'C_ACCTBAL' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  20;

COMMIT WORK;

UPDATE SYSSTAT.COLDIST
SET COLVALUE = NULL, VALCOUNT= -1
WHERE VALCOUNT <> -1 AND COLNAME = 'C_MKTSEGMENT' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ';

UPDATE SYSSTAT.COLDIST
SET COLVALUE='AUTOMOBILE',
    VALCOUNT=30825
WHERE COLNAME = 'C_MKTSEGMENT' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='HOUSEHOLD ',
    VALCOUNT=30525
WHERE COLNAME = 'C_MKTSEGMENT' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='MACHINERY ',
    VALCOUNT=30300
WHERE COLNAME = 'C_MKTSEGMENT' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='FURNITURE ',
    VALCOUNT=30225
WHERE COLNAME = 'C_MKTSEGMENT' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='BUILDING  ',
    VALCOUNT=28125
WHERE COLNAME = 'C_MKTSEGMENT' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'F' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='AUTOMOBILE',
    VALCOUNT=0
WHERE COLNAME = 'C_MKTSEGMENT' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  1;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='AUTOMOBILE',
    VALCOUNT=30825
WHERE COLNAME = 'C_MKTSEGMENT' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  2;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='BUILDING  ',
    VALCOUNT=30825
WHERE COLNAME = 'C_MKTSEGMENT' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  3;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='BUILDING  ',
    VALCOUNT=58950
WHERE COLNAME = 'C_MKTSEGMENT' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  4;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='FURNITURE ',
    VALCOUNT=58950
WHERE COLNAME = 'C_MKTSEGMENT' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  5;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='FURNITURE ',
    VALCOUNT=89175
WHERE COLNAME = 'C_MKTSEGMENT' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  6;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='HOUSEHOLD ',
    VALCOUNT=89175
WHERE COLNAME = 'C_MKTSEGMENT' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  7;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='HOUSEHOLD ',
    VALCOUNT=119700
WHERE COLNAME = 'C_MKTSEGMENT' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  8;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='MACHINERY ',
    VALCOUNT=119700
WHERE COLNAME = 'C_MKTSEGMENT' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  9;

UPDATE SYSSTAT.COLDIST
SET COLVALUE='MACHINERY ',
    VALCOUNT=150000
WHERE COLNAME = 'C_MKTSEGMENT' AND TABNAME = 'CUSTOMER'
      AND TABSCHEMA = 'TPCD    ' 
      AND TYPE      = 'Q' 
      AND SEQNO     =  10;

COMMIT WORK;

UPDATE SYSSTAT.INDEXES
SET NLEAF=-1,
    NLEVELS=-1,
    FIRSTKEYCARD=-1,
    FIRST2KEYCARD=-1,
    FIRST3KEYCARD=-1,
    FIRST4KEYCARD=-1,
    FULLKEYCARD=-1,
    CLUSTERFACTOR=-1.000000,
    CLUSTERRATIO=-1,
    SEQUENTIAL_PAGES=-1,
    DENSITY=-1,
    AVERAGE_SEQUENCE_GAP=-1.000000,
    AVERAGE_SEQUENCE_FETCH_GAP=-1.000000,
    AVERAGE_SEQUENCE_PAGES=-1.000000,
    AVERAGE_SEQUENCE_FETCH_PAGES=-1.000000,
    AVERAGE_RANDOM_PAGES=-1.000000,
    AVERAGE_RANDOM_FETCH_PAGES=-1.000000,
    NUMRIDS=-1,
    NUMRIDS_DELETED=-1,
    NUM_EMPTY_LEAFS=-1
WHERE COLNAMES = '+C_CUSTKEY'
      AND TABNAME = 'CUSTOMER' AND TABSCHEMA = 'TPCD    ';

COMMIT WORK;

-- Mimic functions

UPDATE SYSSTAT.FUNCTIONS
SET ios_per_invoc= -1.0,
    insts_per_invoc= -1.0,
    ios_per_argbyte= -1.0,
    insts_per_argbyte= -1.0,
    percent_argbytes= -1,
    initial_ios= -1.0,
    initial_insts= -1.0,
    cardinality= -1.0;

COMMIT WORK;

CONNECT RESET;

TERMINATE;
